searchNodes=[{"ref":"Stripe.html","title":"Stripe","type":"module","doc":"A HTTP client for Stripe. Configuration API Key You need to set your API key in your application configuration. Typically this is done in config/config.exs or a similar file. For example: config :stripity_stripe, api_key: &quot;sk_test_abc123456789qwerty&quot; You can also utilize System.get_env/1 to retrieve the API key from an environment variable, but remember that this can cause issues if you use a release tool like exrm or Distillery. config :stripity_stripe, api_key: System.get_env(&quot;STRIPE_API_KEY&quot;) Shared Options Almost all of the requests that can be sent accept the following options: :api_key - The Stripe API key to use for the request. See https://stripe.com/docs/api/authentication :api_version - The version of the api that is being used, defaults to the version the library is written for. See https://stripe.com/docs/api/versioning :connect_account - The ID of a Stripe Connect account for which the request should be made, passed through as the &quot;Stripe-Account&quot; header. The preferred authentication method for Stripe Connect. See https://stripe.com/docs/connect/authentication#stripe-account-header :expand - Takes a list of fields that should be expanded in the response from Stripe. See https://stripe.com/docs/api/expanding_objects :idempotency_key - A string that is passed through as the &quot;Idempotency-Key&quot; header on all POST requests. This is used by Stripe&#39;s idempotency layer to manage duplicate requests to the stripe API. See https://stripe.com/docs/api/idempotent_requests HTTP Connection Pool Stripity Stripe is set up to use an HTTP connection pool by default. This means that it will reuse already opened HTTP connections in order to minimize the overhead of establishing connections. The pool is directly supervised by Stripity Stripe. Two configuration options are available to tune how this pool works: :timeout and :max_connections. :timeout is the amount of time that a connection will be allowed to remain open but idle (no data passing over it) before it is closed and cleaned up. This defaults to 5 seconds. :max_connections is the maximum number of connections that can be open at any time. This defaults to 10. Both these settings are located under the :pool_options key in your application configuration: config :stripity_stripe, :pool_options, timeout: 5_000, max_connections: 10 If you prefer, you can also turn pooling off completely using the :use_connection_pool setting: config :stripity_stripe, use_connection_pool: false"},{"ref":"Stripe.html#start/2","title":"Stripe.start/2","type":"function","doc":"Callback for the application Start the supervision tree including the supervised HTTP connection pool (if it&#39;s being used) when the VM loads the application pool. Note that we are taking advantage of the BEAM application standard in order to start the pool when the application is started. While we do start a supervisor, the supervisor is only to comply with the expectations of the BEAM application standard. It is not given any children to supervise."},{"ref":"Stripe.html#t:date_query/0","title":"Stripe.date_query/0","type":"type","doc":""},{"ref":"Stripe.html#t:id/0","title":"Stripe.id/0","type":"type","doc":""},{"ref":"Stripe.html#t:integer_query/0","title":"Stripe.integer_query/0","type":"type","doc":""},{"ref":"Stripe.html#t:options/0","title":"Stripe.options/0","type":"type","doc":""},{"ref":"Stripe.html#t:timestamp/0","title":"Stripe.timestamp/0","type":"type","doc":""},{"ref":"Stripe.API.html","title":"Stripe.API","type":"behaviour","doc":"Low-level utilities for interacting with the Stripe API. Usually the utilities in Stripe.Request are a better way to write custom interactions with the API."},{"ref":"Stripe.API.html#backoff/2","title":"Stripe.API.backoff/2","type":"function","doc":"Returns backoff in milliseconds."},{"ref":"Stripe.API.html#generate_idempotency_key/0","title":"Stripe.API.generate_idempotency_key/0","type":"function","doc":"A low level utility function to generate a new idempotency key for Idempotency-Key request header value."},{"ref":"Stripe.API.html#json_library/0","title":"Stripe.API.json_library/0","type":"function","doc":"In config.exs your implicit or expicit configuration is: config :stripity_stripe, json_library: Poison # defaults to Jason but can be configured to Poison"},{"ref":"Stripe.API.html#c:oauth_request/3","title":"Stripe.API.oauth_request/3","type":"callback","doc":""},{"ref":"Stripe.API.html#oauth_request/5","title":"Stripe.API.oauth_request/5","type":"function","doc":"A low level utility function to make an OAuth request to the Stripe API"},{"ref":"Stripe.API.html#request/5","title":"Stripe.API.request/5","type":"function","doc":"A low level utility function to make a direct request to the Stripe API Setting the api key request(%{}, :get, &quot;/customers&quot;, %{}, api_key: &quot;bogus key&quot;) Setting api version The api version defaults to 2019-05-16 but a custom version can be passed in as follows: request(%{}, :get, &quot;/customers&quot;, %{}, api_version: &quot;2018-11-04&quot;) Connect Accounts If you&#39;d like to make a request on behalf of another Stripe account utilizing the Connect program, you can pass the other Stripe account&#39;s ID to the request function as follows: request(%{}, :get, &quot;/customers&quot;, %{}, connect_account: &quot;acc_134151&quot;)"},{"ref":"Stripe.API.html#request_file_upload/5","title":"Stripe.API.request_file_upload/5","type":"function","doc":"A low level utility function to make a direct request to the files Stripe API"},{"ref":"Stripe.API.html#should_retry?/3","title":"Stripe.API.should_retry?/3","type":"function","doc":"Checks if an error is a problem that we should retry on. This includes both socket errors that may represent an intermittent problem and some special HTTP statuses."},{"ref":"Stripe.API.html#supervisor_children/0","title":"Stripe.API.supervisor_children/0","type":"function","doc":""},{"ref":"Stripe.API.html#t:body/0","title":"Stripe.API.body/0","type":"type","doc":""},{"ref":"Stripe.API.html#t:headers/0","title":"Stripe.API.headers/0","type":"type","doc":""},{"ref":"Stripe.API.html#t:method/0","title":"Stripe.API.method/0","type":"type","doc":""},{"ref":"Stripe.Entity.html","title":"Stripe.Entity","type":"behaviour","doc":"A behaviour implemented by modules which represent Stripe objects. Intended for internal use within the library. A Stripe Entity is just a struct, optionally containing some logic for transforming a raw result from the Stripe API into a final struct. This is achieved through the use of the from_json/2 macro. The list of objects which are recognised by the library upon receipt are currently static and contained in Stripe.Converter. When a map containing the &quot;object&quot; key is received from the API (even when nested inside another map), and the value of that field (for example, &quot;foo_widget&quot;) is in the list of supported objects, the converter will expect Stripe.FooWidget to be present and to implement this behaviour. To implement this behaviour, simply add use Stripe.Entity to the top of the entity module and make sure it defines a struct. This will also enable the use of the from_json/2 macro, which allows for changes to the data received from Stripe before it is converted to a struct."},{"ref":"Stripe.Entity.html#c:__from_json__/1","title":"Stripe.Entity.__from_json__/1","type":"callback","doc":""},{"ref":"Stripe.Entity.html#cast_each/3","title":"Stripe.Entity.cast_each/3","type":"function","doc":"Applies the given function over a list present in the data. Provide either a single atom key or a list of atom keys whose values are lists. Each element of such a list will be mapped using the function passed. For example, if there is a field :fee_details which is a list of maps, each containing a :type key whose value we want to cast to an atom, then we write: data |&gt; cast_each(:fee_details, &amp;cast_to_atom(&amp;1, :type)) If a key is not set or the value is nil, no transformation occurs."},{"ref":"Stripe.Entity.html#cast_path/3","title":"Stripe.Entity.cast_path/3","type":"function","doc":"Applies the given function to a field accessed via the path provided. Provide a path (identical to that used by the Access protocol) to the field to be modified, and a function to be applied to its value. For example, if the field :fraud_details contains a map whose keys are :user_report and :stripe_report we wish to convert to atoms, then we write: data |&gt; cast_path([:fraud_details], &amp;cast_to_atom(&amp;1, [:user_report, :stripe_report])) Unlike Kernel.update_in/2, if the path to the key does not exist, or if the value is nil, then no transformation occurs."},{"ref":"Stripe.Entity.html#cast_to_atom/2","title":"Stripe.Entity.cast_to_atom/2","type":"function","doc":"Cast the value of the given key or keys to an atom. Provide either a single atom key or a list of atom keys whose values should be converted from binaries to atoms. Used commonly to convert &quot;enum&quot; values (values which belong to a predefined set) in Stripe responses, for example a :status field. If a key is not set or the value is nil, no transformation occurs."},{"ref":"Stripe.Entity.html#from_json/2","title":"Stripe.Entity.from_json/2","type":"macro","doc":"Specifies logic that transforms data from Stripe to our Stripe object. The Stripe API docs specify that: JSON is returned by all API responses, including errors, although our API libraries convert responses to appropriate language-specific objects. To this end, sometimes it is desirable to make changes to the raw data received from the Stripe API, to aid its conversion into an appropriate Elixir data struct. One example is the convention of converting &quot;enum&quot; values (for example &quot;status&quot; values of &quot;succeeded&quot; or &quot;failed&quot;) into atoms instead of keeping them as strings. This macro is used in modules implementing the Stripe.Entity behaviour in order to specify this extra logic. Its use is optional, and the default is no transformation; i.e. the received JSON keys are merely converted to atoms and cast to the struct defined by the module. The macro is used like this: from_json data do data |&gt; cast_to_atom([:type, :status]) |&gt; cast_each(:fee_details, &amp;cast_to_atom(&amp;1, :type)) end It takes a parameter name to which the data received from Stripe is bound, and a do block which should return the transformed data. The transformation receives the JSON response from Stripe, with all keys converted to atoms (apart from keys inside a metadata map, which remain binaries) and should return a map which is ready to be cast to the struct the module defines. The helper cast_* functions defined in this module are automatically imported into the scope of this macro. The helper functions are all nil/missing key-safe, meaning that they will not magically add fields or error on fields which are missing or unset. You should therefore write your transformation assuming all possible data is actually present."},{"ref":"Stripe.EphemeralKey.html","title":"Stripe.EphemeralKey","type":"module","doc":"Work with Stripe EphemeralKey objects. You can: Create a ephemeral key Does not yet render lists or take options. Does not have an official API docs endpoint, but is required for iOS and Android SDK functionality. Explained in https://stripe.com/docs/mobile/ios/standard#prepare-your-api https://stripe.com/docs/mobile/android/customer-information#prepare-your-api Stripe API reference: https://stripe.com/docs/api#customer"},{"ref":"Stripe.EphemeralKey.html#create/3","title":"Stripe.EphemeralKey.create/3","type":"function","doc":"Create an ephemeral key."},{"ref":"Stripe.EphemeralKey.html#t:t/0","title":"Stripe.EphemeralKey.t/0","type":"type","doc":""},{"ref":"Stripe.Error.html","title":"Stripe.Error","type":"module","doc":"A struct which represents an error which occurred during a Stripe API call. This struct is designed to provide all the information needed to effectively log and maybe respond to an error. It contains the following fields: :source – this is one of :internal – the error occurred within the library. This is usually caused by an unexpected or missing parameter. :network – the error occurred while making the network request (i.e. :hackney.request/5 returned an error.) In this case, :code will always be :network_error. The :hackney_reason field in the :extra map contains the actual error reason received from hackney. :stripe – an error response was received from Stripe. :code – an atom indicating the particular error. See &quot;Error Codes&quot; for more detail. :request_id – if :source is :stripe, this will contain the request ID for logging and troubleshooting. Otherwise, this field is nil. :message – a loggable message describing the error. This should not be shown to your users but is intended for logging and troubleshooting. :user_message – if Stripe has provided a user-facing message (e.g. when a card is declined), this field will contain it. Otherwise it is nil. :extra - a map which may contain some additional information about the error. See &quot;Extra Fields&quot; for details. Extra Fields The :extra field contains a map of miscellaneous information about the error which may be useful. The fields are not present if not relevant. The possible fields are: :card_code – when :code is :card_error, contains one of Stripe&#39;s decline reasons. :decline_code – an optional short string provided by the bank when a card is declined. :param – for errors where a particular parameter was the cause, indicates which parameter was invalid. :charge_id – when a Charge was declined, indicates the ID of the failed Charge which was created. :http_status – for :stripe errors, the HTTP status returned with the error. :raw_error – the raw error map received from Stripe. :hackney_reason – for :network errors, contains the error reason received from hackney. Error Codes The :code fields may be one of the following: :api_connection_error, :api_error, :authentication_error, :card_error, :invalid_request_error, :rate_limit_error, :validation_error – as per the Stripe docs :bad_request, :unauthorized, :request_failed, :not_found, :conflict, :too_many_requests, :server_error, :unknown_error – these only occur if Stripe did not send an explicit type for the error. They have the meaning as defined in Stripe&#39;s HTTP status code summary :network_code – used only when :source is :network. Indicates an error occurred while making the request. :valid_keys_failed, :required_keys_failed, :endpoint_fun_invalid_result, :invalid_endpoint – used when :source is :internal. See Stripe.Request for details."},{"ref":"Stripe.Error.html#t:card_error_code/0","title":"Stripe.Error.card_error_code/0","type":"type","doc":""},{"ref":"Stripe.Error.html#t:error_source/0","title":"Stripe.Error.error_source/0","type":"type","doc":""},{"ref":"Stripe.Error.html#t:error_status/0","title":"Stripe.Error.error_status/0","type":"type","doc":""},{"ref":"Stripe.Error.html#t:stripe_error_type/0","title":"Stripe.Error.stripe_error_type/0","type":"type","doc":""},{"ref":"Stripe.Error.html#t:t/0","title":"Stripe.Error.t/0","type":"type","doc":""},{"ref":"Stripe.List.html","title":"Stripe.List","type":"module","doc":"Work with Stripe list objects. A list is a general-purpose Stripe object which holds one or more other Stripe objects in its &quot;data&quot; property. In its current iteration it simply allows serializing into a properly typed struct. In future iterations, it should: Support multiple types of objects in its collection Support fetching the next set of objects (pagination)"},{"ref":"Stripe.List.html#t:t/1","title":"Stripe.List.t/1","type":"type","doc":""},{"ref":"Stripe.List.html#t:value/0","title":"Stripe.List.value/0","type":"type","doc":""},{"ref":"Stripe.Person.html","title":"Stripe.Person","type":"module","doc":"Work with Stripe Connect person objects. You can: Create a person Retrieve a person with a specified id Update a person Delete a person List all persons on an account Stripe API reference: https://stripe.com/docs/api/persons"},{"ref":"Stripe.Person.html#create/2","title":"Stripe.Person.create/2","type":"function","doc":"Create a person."},{"ref":"Stripe.Person.html#delete/3","title":"Stripe.Person.delete/3","type":"function","doc":"Delete a person."},{"ref":"Stripe.Person.html#list/2","title":"Stripe.Person.list/2","type":"function","doc":"List all persons on an account."},{"ref":"Stripe.Person.html#retrieve/3","title":"Stripe.Person.retrieve/3","type":"function","doc":"Retrieve a person with a specified id."},{"ref":"Stripe.Person.html#update/3","title":"Stripe.Person.update/3","type":"function","doc":"Update a person. Takes the id and a map of changes."},{"ref":"Stripe.Person.html#t:create_params/0","title":"Stripe.Person.create_params/0","type":"type","doc":""},{"ref":"Stripe.Person.html#t:relationship/0","title":"Stripe.Person.relationship/0","type":"type","doc":""},{"ref":"Stripe.Person.html#t:requirements/0","title":"Stripe.Person.requirements/0","type":"type","doc":""},{"ref":"Stripe.Person.html#t:t/0","title":"Stripe.Person.t/0","type":"type","doc":""},{"ref":"Stripe.Person.html#t:update_params/0","title":"Stripe.Person.update_params/0","type":"type","doc":""},{"ref":"Stripe.Person.html#t:verification/0","title":"Stripe.Person.verification/0","type":"type","doc":""},{"ref":"Stripe.Person.html#t:verification_document/0","title":"Stripe.Person.verification_document/0","type":"type","doc":""},{"ref":"Stripe.Request.html","title":"Stripe.Request","type":"module","doc":"A module for working with requests to the Stripe API. Requests are composed in a functional manner. The request does not happen until it is configured and passed to make_request/1. Currently encompasses only requests to the normal Stripe API. The OAuth endpoint is not yet supported. Generally intended to be used internally, but can also be used by end-users to work around missing endpoints (if any). At a minimum, a request must have the endpoint and method specified to be valid."},{"ref":"Stripe.Request.html#cast_path_to_id/2","title":"Stripe.Request.cast_path_to_id/2","type":"function","doc":"Specify that a given path in the parameters should be cast to a simple ID. Acts similar to cast_to_id/2 but specifies only one parameter to be cast, by specifying its path (as in the Access protocol). Used to cast nested objects to their IDs."},{"ref":"Stripe.Request.html#cast_to_id/2","title":"Stripe.Request.cast_to_id/2","type":"function","doc":"Specify that a given set of parameters should be cast to a simple ID. Sometimes, it may be convenient to allow end-users to pass in structs (say, the card to charge) but the API requires only the ID of the object. This function will ensure that before the request is made, the parameters specified here will be cast to IDs – if the value of a parameter is a struct with an :id field, the value of that field will replace the struct in the parameter list. If the function is called multiple times, the set of parameters to cast to ID is merged between the multiple calls."},{"ref":"Stripe.Request.html#get_id!/1","title":"Stripe.Request.get_id!/1","type":"function","doc":"Normalise the argument to a simple Stripe ID. Actively extracts the ID, given a struct with an :id field, or returns the binary if one is passed in. Useful for eagerly getting the ID of an object passed in, for example when computing the endpoint to use: def capture(id, params, opts) do new_request(opts) |&gt; put_endpoint(@plural_endpoint &lt;&gt; &quot;/\#{get_id!(id)}/capture&quot;) ..."},{"ref":"Stripe.Request.html#make_file_upload_request/1","title":"Stripe.Request.make_file_upload_request/1","type":"function","doc":"Executes the request and returns the response for file uploads"},{"ref":"Stripe.Request.html#make_request/1","title":"Stripe.Request.make_request/1","type":"function","doc":"Executes the request and returns the response."},{"ref":"Stripe.Request.html#new_request/2","title":"Stripe.Request.new_request/2","type":"function","doc":"Creates a new request. Optionally accepts options for the request, such as using a specific API key. See t:Stripe.options for details."},{"ref":"Stripe.Request.html#prefix_expansions/1","title":"Stripe.Request.prefix_expansions/1","type":"function","doc":"Prefixes all :expand values provided in opts with the given prefix. When using object expansion on a list function for a resource, the values must be prefixed with data.. This is required because the stripe api nests the returned objects within data: {}. For all create, update, cancel and retrieve functions this is not required. opts = [expand: [&quot;balance_transaction&quot;]] request = prefix_expansions(%Request{opts: opts}) request.opts == [&quot;data.balance_transaction&quot;]"},{"ref":"Stripe.Request.html#put_endpoint/2","title":"Stripe.Request.put_endpoint/2","type":"function","doc":"Specifies an endpoint for the request. The endpoint should not include the v1 prefix or an initial slash, for example put_endpoint(request, &quot;charges&quot;). The endpoint can be a binary or a function which takes the parameters of the query and returns an endpoint. The function is not evaluated until just before the request is made so the actual parameters can be specified after the endpoint."},{"ref":"Stripe.Request.html#put_method/2","title":"Stripe.Request.put_method/2","type":"function","doc":"Specifies a method to use for the request. Accepts any of the standard HTTP methods as atoms, that is :get, :post, :put, :patch or :delete."},{"ref":"Stripe.Request.html#put_param/3","title":"Stripe.Request.put_param/3","type":"function","doc":"Specify a single param to be included in the request."},{"ref":"Stripe.Request.html#put_params/2","title":"Stripe.Request.put_params/2","type":"function","doc":"Specifies the parameters to be used for the request. If the request is a POST request, these are encoded in the request body. Otherwise, they are encoded in the URL. Calling this function multiple times will merge, not replace, the params currently specified."},{"ref":"Stripe.Request.html#t:error_code/0","title":"Stripe.Request.error_code/0","type":"type","doc":""},{"ref":"Stripe.Request.html#t:t/0","title":"Stripe.Request.t/0","type":"type","doc":""},{"ref":"Stripe.Webhook.html","title":"Stripe.Webhook","type":"module","doc":"Creates a Stripe Event from webhook&#39;s payload if signature is valid."},{"ref":"Stripe.Webhook.html#construct_event/4","title":"Stripe.Webhook.construct_event/4","type":"function","doc":"Verify webhook payload and return a Stripe event. payload is the raw, unparsed content body sent by Stripe, which can be retrieved with Plug.Conn.read_body/2. Note that Plug.Parsers will read and discard the body, so you must implement a custom body reader if the plug is located earlier in the pipeline. signature is the value of Stripe-Signature header, which can be fetched with Plug.Conn.get_req_header/2. secret is your webhook endpoint&#39;s secret from the Stripe Dashboard. tolerance is the allowed deviation in seconds from the current system time to the timestamp found in signature. Defaults to 300 seconds (5 minutes). Stripe API reference: https://stripe.com/docs/webhooks/signatures#verify-manually Example case Stripe.Webhook.construct_event(payload, signature, secret) do {:ok, %Stripe.Event{} = event} -&gt; # Return 200 to Stripe and handle event {:error, reason} -&gt; # Reject webhook by responding with non-2XX end"},{"ref":"Stripe.Balance.html","title":"Stripe.Balance","type":"module","doc":"Work with Stripe balance objects. You can: Retrieve the current balance"},{"ref":"Stripe.Balance.html#list/2","title":"Stripe.Balance.list/2","type":"function","doc":"List balance history See the Stripe docs."},{"ref":"Stripe.Balance.html#retrieve/1","title":"Stripe.Balance.retrieve/1","type":"function","doc":"Retrieves the current account balance. This is based on the authentication that was used to make the request. See the Stripe docs."},{"ref":"Stripe.Balance.html#retrieve_transaction/2","title":"Stripe.Balance.retrieve_transaction/2","type":"function","doc":"Retrieves a balance transaction See the Stripe docs."},{"ref":"Stripe.Balance.html#t:funds/0","title":"Stripe.Balance.funds/0","type":"type","doc":""},{"ref":"Stripe.Balance.html#t:t/0","title":"Stripe.Balance.t/0","type":"type","doc":""},{"ref":"Stripe.BalanceTransaction.html","title":"Stripe.BalanceTransaction","type":"module","doc":"Work with [Stripe balance_transaction objects] (https://stripe.com/docs/api#balance_transaction_object). You can: Retrieve a balance transaction List all balance history"},{"ref":"Stripe.BalanceTransaction.html#all/2","title":"Stripe.BalanceTransaction.all/2","type":"function","doc":"Returns a list of transactions that have contributed to the Stripe account balance. Examples of such transactions are charges, transfers, and so forth. The transactions are returned in sorted order, with the most recent transactions appearing first. See t:Stripe.BalanceTransaction.All.t/0 or the Stripe docs for parameter structure."},{"ref":"Stripe.BalanceTransaction.html#retrieve/2","title":"Stripe.BalanceTransaction.retrieve/2","type":"function","doc":"Retrieves the balance transaction with the given ID. Requires the ID of the balance transaction to retrieve and takes no other parameters. See the Stripe docs."},{"ref":"Stripe.BalanceTransaction.html#t:t/0","title":"Stripe.BalanceTransaction.t/0","type":"type","doc":""},{"ref":"Stripe.Charge.html","title":"Stripe.Charge","type":"module","doc":"Work with Stripe charge objects. You can: Create a charge Retrieve a charge Update a charge Capture a charge List all charges"},{"ref":"Stripe.Charge.html#capture/1","title":"Stripe.Charge.capture/1","type":"function","doc":""},{"ref":"Stripe.Charge.html#capture/2","title":"Stripe.Charge.capture/2","type":"function","doc":"[DEPRECATED] Capture a charge. This version of the function is deprecated. Please use capture/3 instead."},{"ref":"Stripe.Charge.html#capture/3","title":"Stripe.Charge.capture/3","type":"function","doc":"Capture a charge. Capture the payment of an existing, uncaptured, charge. This is the second half of the two-step payment flow, where first you created a charge with the capture option set to false. Uncaptured payments expire exactly seven days after they are created. If they are not captured by that point in time, they will be marked as refunded and will no longer be capturable. See the Stripe docs."},{"ref":"Stripe.Charge.html#create/2","title":"Stripe.Charge.create/2","type":"function","doc":"Create a charge. If your API key is in test mode, the supplied payment source (e.g., card) won&#39;t actually be charged, though everything else will occur as if in live mode. (Stripe assumes that the charge would have completed successfully). See the Stripe docs."},{"ref":"Stripe.Charge.html#list/2","title":"Stripe.Charge.list/2","type":"function","doc":"List all charges. Returns a list of charges you’ve previously created. The charges are returned in sorted order, with the most recent charges appearing first. See the Stripe docs."},{"ref":"Stripe.Charge.html#retrieve/2","title":"Stripe.Charge.retrieve/2","type":"function","doc":"Retrieve a charge. Retrieves the details of a charge that has previously been created. Supply the unique charge ID that was returned from your previous request, and Stripe will return the corresponding charge information. The same information is returned when creating or refunding the charge. See the Stripe docs."},{"ref":"Stripe.Charge.html#update/3","title":"Stripe.Charge.update/3","type":"function","doc":"Update a charge. Updates the specified charge by setting the values of the parameters passed. Any parameters not provided will be left unchanged. This request accepts only the :description, :metadata, :receipt_email, :fraud_details, and :shipping as arguments, as well as :transfer_group in some cases. The charge to be updated may either be passed in as a struct or an ID. See the Stripe docs."},{"ref":"Stripe.Charge.html#t:billing_details/0","title":"Stripe.Charge.billing_details/0","type":"type","doc":""},{"ref":"Stripe.Charge.html#t:card_info/0","title":"Stripe.Charge.card_info/0","type":"type","doc":""},{"ref":"Stripe.Charge.html#t:charge_outcome/0","title":"Stripe.Charge.charge_outcome/0","type":"type","doc":""},{"ref":"Stripe.Charge.html#t:charge_outcome_rule/0","title":"Stripe.Charge.charge_outcome_rule/0","type":"type","doc":""},{"ref":"Stripe.Charge.html#t:stripe_fraud_report/0","title":"Stripe.Charge.stripe_fraud_report/0","type":"type","doc":""},{"ref":"Stripe.Charge.html#t:t/0","title":"Stripe.Charge.t/0","type":"type","doc":""},{"ref":"Stripe.Charge.html#t:transfer_data/0","title":"Stripe.Charge.transfer_data/0","type":"type","doc":""},{"ref":"Stripe.Charge.html#t:user_fraud_report/0","title":"Stripe.Charge.user_fraud_report/0","type":"type","doc":""},{"ref":"Stripe.Customer.html","title":"Stripe.Customer","type":"module","doc":"Work with Stripe customer objects. You can: Create a customer Retrieve a customer Update a customer Delete a customer Stripe API reference: https://stripe.com/docs/api#customer"},{"ref":"Stripe.Customer.html#create/2","title":"Stripe.Customer.create/2","type":"function","doc":"Create a customer."},{"ref":"Stripe.Customer.html#delete/2","title":"Stripe.Customer.delete/2","type":"function","doc":"Delete a customer."},{"ref":"Stripe.Customer.html#delete_discount/2","title":"Stripe.Customer.delete_discount/2","type":"function","doc":"Deletes the discount on a customer"},{"ref":"Stripe.Customer.html#list/2","title":"Stripe.Customer.list/2","type":"function","doc":"List all customers."},{"ref":"Stripe.Customer.html#retrieve/2","title":"Stripe.Customer.retrieve/2","type":"function","doc":"Retrieve a customer."},{"ref":"Stripe.Customer.html#update/3","title":"Stripe.Customer.update/3","type":"function","doc":"Update a customer."},{"ref":"Stripe.Customer.html#t:t/0","title":"Stripe.Customer.t/0","type":"type","doc":""},{"ref":"Stripe.Dispute.html","title":"Stripe.Dispute","type":"module","doc":"Work with Stripe disputes. You can: Retrieve a dispute Update a dispute Close a dispute List disputes Stripe API reference: https://stripe.com/docs/api#disputes"},{"ref":"Stripe.Dispute.html#close/2","title":"Stripe.Dispute.close/2","type":"function","doc":"Close a dispute."},{"ref":"Stripe.Dispute.html#list/2","title":"Stripe.Dispute.list/2","type":"function","doc":"List all disputes."},{"ref":"Stripe.Dispute.html#retrieve/2","title":"Stripe.Dispute.retrieve/2","type":"function","doc":"Retrieve a dispute."},{"ref":"Stripe.Dispute.html#update/3","title":"Stripe.Dispute.update/3","type":"function","doc":"Update a dispute."},{"ref":"Stripe.Dispute.html#t:dispute_evidence/0","title":"Stripe.Dispute.dispute_evidence/0","type":"type","doc":""},{"ref":"Stripe.Dispute.html#t:dispute_evidence_details/0","title":"Stripe.Dispute.dispute_evidence_details/0","type":"type","doc":""},{"ref":"Stripe.Dispute.html#t:dispute_reason/0","title":"Stripe.Dispute.dispute_reason/0","type":"type","doc":""},{"ref":"Stripe.Dispute.html#t:dispute_status/0","title":"Stripe.Dispute.dispute_status/0","type":"type","doc":""},{"ref":"Stripe.Dispute.html#t:t/0","title":"Stripe.Dispute.t/0","type":"type","doc":""},{"ref":"Stripe.Event.html","title":"Stripe.Event","type":"module","doc":"Work with Stripe event objects. You can: Retrieve an event List all events Stripe API reference: https://stripe.com/docs/api#event"},{"ref":"Stripe.Event.html#list/2","title":"Stripe.Event.list/2","type":"function","doc":"List all events, going back up to 30 days."},{"ref":"Stripe.Event.html#retrieve/2","title":"Stripe.Event.retrieve/2","type":"function","doc":"Retrieve an event."},{"ref":"Stripe.Event.html#t:event_data/0","title":"Stripe.Event.event_data/0","type":"type","doc":""},{"ref":"Stripe.Event.html#t:event_data_object/0","title":"Stripe.Event.event_data_object/0","type":"type","doc":""},{"ref":"Stripe.Event.html#t:event_request/0","title":"Stripe.Event.event_request/0","type":"type","doc":""},{"ref":"Stripe.Event.html#t:t/0","title":"Stripe.Event.t/0","type":"type","doc":""},{"ref":"Stripe.FileUpload.html","title":"Stripe.FileUpload","type":"module","doc":"Work with Stripe file_upload objects. You can: Create a file Retrieve a file List all files Stripe API reference: https://stripe.com/docs/api/files"},{"ref":"Stripe.FileUpload.html#create/2","title":"Stripe.FileUpload.create/2","type":"function","doc":"Create a file according to Stripe&#39;s file_upload rules. Takes the filepath and the purpose."},{"ref":"Stripe.FileUpload.html#list/2","title":"Stripe.FileUpload.list/2","type":"function","doc":"List all file uploads, going back up to 30 days."},{"ref":"Stripe.FileUpload.html#retrieve/2","title":"Stripe.FileUpload.retrieve/2","type":"function","doc":"Retrieve a file_upload."},{"ref":"Stripe.FileUpload.html#t:t/0","title":"Stripe.FileUpload.t/0","type":"type","doc":""},{"ref":"Stripe.PaymentIntent.html","title":"Stripe.PaymentIntent","type":"module","doc":"Work with Stripe payment_intent objects. You can: Create a payment_intent Retrieve a payment_intent Update a payment_intent Confirm a payment_intent Capture a payment_intent Cancel a payment_intent List all payment_intent"},{"ref":"Stripe.PaymentIntent.html#cancel/3","title":"Stripe.PaymentIntent.cancel/3","type":"function","doc":"A PaymentIntent object can be canceled when it is in one of these statuses: requires_payment_method, requires_capture, requires_confirmation, requires_action. Once canceled, no additional charges will be made by the PaymentIntent and any operations on the PaymentIntent will fail with an error. For PaymentIntents with status=&#39;requires_capture&#39;, the remaining amount_capturable will automatically be refunded. See the Stripe docs."},{"ref":"Stripe.PaymentIntent.html#capture/3","title":"Stripe.PaymentIntent.capture/3","type":"function","doc":"Capture the funds of an existing uncaptured PaymentIntent where required_action=&quot;requires_capture&quot;. Uncaptured PaymentIntents will be canceled exactly seven days after they are created. See the Stripe docs."},{"ref":"Stripe.PaymentIntent.html#confirm/3","title":"Stripe.PaymentIntent.confirm/3","type":"function","doc":"Confirm that your customer intends to pay with current or provided source. Upon confirmation, the PaymentIntent will attempt to initiate a payment. If the selected source requires additional authentication steps, the PaymentIntent will transition to the requires_action status and suggest additional actions via next_source_action. If payment fails, the PaymentIntent will transition to the requires_payment_method status. If payment succeeds, the PaymentIntent will transition to the succeeded status (or requires_capture, if capture_method is set to manual). Read the expanded documentation to learn more about server-side confirmation. See the Stripe docs."},{"ref":"Stripe.PaymentIntent.html#create/2","title":"Stripe.PaymentIntent.create/2","type":"function","doc":"Create a payment intent. See the Stripe docs."},{"ref":"Stripe.PaymentIntent.html#list/2","title":"Stripe.PaymentIntent.list/2","type":"function","doc":"Returns a list of PaymentIntents. See the Stripe docs."},{"ref":"Stripe.PaymentIntent.html#retrieve/3","title":"Stripe.PaymentIntent.retrieve/3","type":"function","doc":"Retrieves the details of a PaymentIntent that has previously been created. Client-side retrieval using a publishable key is allowed when the client_secret is provided in the query string. When retrieved with a publishable key, only a subset of properties will be returned. Please refer to the payment intent object reference for more details. See the Stripe docs."},{"ref":"Stripe.PaymentIntent.html#update/3","title":"Stripe.PaymentIntent.update/3","type":"function","doc":"Updates a PaymentIntent object. See the Stripe docs."},{"ref":"Stripe.PaymentIntent.html#t:last_payment_error/0","title":"Stripe.PaymentIntent.last_payment_error/0","type":"type","doc":""},{"ref":"Stripe.PaymentIntent.html#t:next_action/0","title":"Stripe.PaymentIntent.next_action/0","type":"type","doc":""},{"ref":"Stripe.PaymentIntent.html#t:redirect_to_url/0","title":"Stripe.PaymentIntent.redirect_to_url/0","type":"type","doc":""},{"ref":"Stripe.PaymentIntent.html#t:t/0","title":"Stripe.PaymentIntent.t/0","type":"type","doc":""},{"ref":"Stripe.PaymentIntent.html#t:transfer_data/0","title":"Stripe.PaymentIntent.transfer_data/0","type":"type","doc":""},{"ref":"Stripe.Payout.html","title":"Stripe.Payout","type":"module","doc":"Work with Stripe payouts. Stripe API reference: https://stripe.com/docs/api#payouts"},{"ref":"Stripe.Payout.html#cancel/2","title":"Stripe.Payout.cancel/2","type":"function","doc":"Cancel a payout. See the Stripe docs."},{"ref":"Stripe.Payout.html#create/2","title":"Stripe.Payout.create/2","type":"function","doc":"Create a payout. If your API key is in test mode, the supplied payment source (e.g., card) won&#39;t actually be payoutd, though everything else will occur as if in live mode. (Stripe assumes that the payout would have completed successfully). See the Stripe docs."},{"ref":"Stripe.Payout.html#list/2","title":"Stripe.Payout.list/2","type":"function","doc":"List all payouts. Returns a list of payouts. The payouts are returned in sorted order, with the most recent payouts appearing first. See the Stripe docs."},{"ref":"Stripe.Payout.html#retrieve/2","title":"Stripe.Payout.retrieve/2","type":"function","doc":"Retrieve a payout. See the Stripe docs."},{"ref":"Stripe.Payout.html#update/3","title":"Stripe.Payout.update/3","type":"function","doc":"Update a payout. Updates the specified payout by setting the values of the parameters passed. Any parameters not provided will be left unchanged. This request accepts only the :payout or :metadata. The payout to be updated may either be passed in as a struct or an ID. See the Stripe docs."},{"ref":"Stripe.Payout.html#t:t/0","title":"Stripe.Payout.t/0","type":"type","doc":""},{"ref":"Stripe.Product.html","title":"Stripe.Product","type":"module","doc":"Work with Stripe product objects. You can: Create a product Retrieve a product Update a product Delete a product List products Stripe API reference: https://stripe.com/docs/api#service_products"},{"ref":"Stripe.Product.html#create/2","title":"Stripe.Product.create/2","type":"function","doc":"Create a product."},{"ref":"Stripe.Product.html#delete/2","title":"Stripe.Product.delete/2","type":"function","doc":"Delete a product."},{"ref":"Stripe.Product.html#list/2","title":"Stripe.Product.list/2","type":"function","doc":"List all products."},{"ref":"Stripe.Product.html#retrieve/2","title":"Stripe.Product.retrieve/2","type":"function","doc":"Retrieve a product."},{"ref":"Stripe.Product.html#update/3","title":"Stripe.Product.update/3","type":"function","doc":"Update a product. Takes the id and a map of changes."},{"ref":"Stripe.Product.html#t:t/0","title":"Stripe.Product.t/0","type":"type","doc":""},{"ref":"Stripe.Refund.html","title":"Stripe.Refund","type":"module","doc":"Work with Stripe refund objects. You can: Create a refund Retrieve a refund Update a refund List all refunds"},{"ref":"Stripe.Refund.html#create/2","title":"Stripe.Refund.create/2","type":"function","doc":"Create a refund. When you create a new refund, you must specify a charge to create it on. Creating a new refund will refund a charge that has previously been created but not yet refunded. Funds will be refunded to the credit or debit card that was originally charged. You can optionally refund only part of a charge. You can do so as many times as you wish until the entire charge has been refunded. Once entirely refunded, a charge can&#39;t be refunded again. This method will return an error when called on an already-refunded charge, or when trying to refund more money than is left on a charge. See the Stripe docs."},{"ref":"Stripe.Refund.html#list/2","title":"Stripe.Refund.list/2","type":"function","doc":"List all refunds. Returns a list of all refunds you’ve previously created. The refunds are returned in sorted order, with the most recent refunds appearing first. For convenience, the 10 most recent refunds are always available by default on the charge object. See the Stripe docs."},{"ref":"Stripe.Refund.html#retrieve/2","title":"Stripe.Refund.retrieve/2","type":"function","doc":"Retrieve a refund. Retrieves the details of an existing refund. See the Stripe docs."},{"ref":"Stripe.Refund.html#update/3","title":"Stripe.Refund.update/3","type":"function","doc":"Update a refund. Updates the specified refund by setting the values of the parameters passed. Any parameters not provided will be left unchanged. This request only accepts :metadata as an argument. See the Stripe docs."},{"ref":"Stripe.Refund.html#t:t/0","title":"Stripe.Refund.t/0","type":"type","doc":""},{"ref":"Stripe.SetupIntent.html","title":"Stripe.SetupIntent","type":"module","doc":"A SetupIntent guides you through the process of setting up a customer&#39;s payment credentials for future payments. You can: Create a SetupIntent Retrieve a SetupIntent Update a SetupIntent Confirm a SetupIntent Cancel a SetupIntent List all SetupIntents"},{"ref":"Stripe.SetupIntent.html#cancel/3","title":"Stripe.SetupIntent.cancel/3","type":"function","doc":"A SetupIntent object can be canceled when it is in one of these statuses: requires_payment_method, requires_capture, requires_confirmation, requires_action. See the Stripe docs."},{"ref":"Stripe.SetupIntent.html#confirm/3","title":"Stripe.SetupIntent.confirm/3","type":"function","doc":"Confirm that your customer intends to set up the current or provided payment method. See the Stripe docs."},{"ref":"Stripe.SetupIntent.html#create/2","title":"Stripe.SetupIntent.create/2","type":"function","doc":"Creates a SetupIntent object. See the Stripe docs."},{"ref":"Stripe.SetupIntent.html#list/2","title":"Stripe.SetupIntent.list/2","type":"function","doc":"Returns a list of SetupIntents. See the Stripe docs."},{"ref":"Stripe.SetupIntent.html#retrieve/3","title":"Stripe.SetupIntent.retrieve/3","type":"function","doc":"Retrieves the details of a SetupIntent that has previously been created. See the Stripe docs."},{"ref":"Stripe.SetupIntent.html#update/3","title":"Stripe.SetupIntent.update/3","type":"function","doc":"Updates a SetupIntent object. See the Stripe docs."},{"ref":"Stripe.SetupIntent.html#t:last_setup_error/0","title":"Stripe.SetupIntent.last_setup_error/0","type":"type","doc":""},{"ref":"Stripe.SetupIntent.html#t:next_action/0","title":"Stripe.SetupIntent.next_action/0","type":"type","doc":""},{"ref":"Stripe.SetupIntent.html#t:payment_method_options/0","title":"Stripe.SetupIntent.payment_method_options/0","type":"type","doc":""},{"ref":"Stripe.SetupIntent.html#t:payment_method_options_card/0","title":"Stripe.SetupIntent.payment_method_options_card/0","type":"type","doc":""},{"ref":"Stripe.SetupIntent.html#t:redirect_to_url/0","title":"Stripe.SetupIntent.redirect_to_url/0","type":"type","doc":""},{"ref":"Stripe.SetupIntent.html#t:t/0","title":"Stripe.SetupIntent.t/0","type":"type","doc":""},{"ref":"Stripe.TaxID.html","title":"Stripe.TaxID","type":"module","doc":"You can add one or multiple tax IDs to a customer. A customer&#39;s tax IDs are displayed on invoices and credit notes issued for the customer. See Stripe Tax IDs docs"},{"ref":"Stripe.TaxID.html#create/2","title":"Stripe.TaxID.create/2","type":"function","doc":"Creates a new TaxID object for a customer. Example Stripe.TaxId.create(%{customer: &quot;cus_FDVoXj36NmFrao&quot;, type: &quot;eu_vat&quot;, value: &quot;DE123456789&quot;}) Stripe.TaxId.create(%{customer: %Stripe.Customer{id: &quot;cus_FDVoXj36NmFrao&quot;}, type: &quot;eu_vat&quot;, value: &quot;DE123456789&quot;}) See Stripe docs"},{"ref":"Stripe.TaxID.html#delete/3","title":"Stripe.TaxID.delete/3","type":"function","doc":"Deletes an existing TaxID object. Example Stripe.TaxId.delete(&quot;txi_123456789&quot;, %{customer: &quot;cus_FDVoXj36NmFrao&quot;)}) Stripe.TaxId.delete(&quot;txi_123456789&quot;, %{customer: %Stripe.Customer{id: &quot;cus_FDVoXj36NmFrao&quot;}}) Stripe.TaxId.delete(%Stripe.TaxID{id: &quot;txi_123456789&quot;}, %{customer: &quot;cus_FDVoXj36NmFrao&quot;}) See Stripe docs"},{"ref":"Stripe.TaxID.html#list/2","title":"Stripe.TaxID.list/2","type":"function","doc":"Returns a list of tax IDs for a customer. Example Stripe.TaxId.list(%{customer: &quot;cus_FDVoXj36NmFrao&quot;)}) See Stripe docs"},{"ref":"Stripe.TaxID.html#retrieve/3","title":"Stripe.TaxID.retrieve/3","type":"function","doc":"Retrieves the TaxID object with the given identifier. Example Stripe.TaxId.retrieve(&quot;txi_123456789&quot;, %{customer: &quot;cus_FDVoXj36NmFrao&quot;)}) Stripe.TaxId.retrieve(&quot;txi_123456789&quot;, %{customer: %Stripe.Customer{id: &quot;cus_FDVoXj36NmFrao&quot;}}) See Stripe docs"},{"ref":"Stripe.TaxID.html#t:t/0","title":"Stripe.TaxID.t/0","type":"type","doc":""},{"ref":"Stripe.TaxID.html#t:tax_info_verification/0","title":"Stripe.TaxID.tax_info_verification/0","type":"type","doc":""},{"ref":"Stripe.Token.html","title":"Stripe.Token","type":"module","doc":"Work with Stripe token objects. You can: Create a token for a Connect customer with a card Create a token with all options - Only for Unit Tests with Stripe Retrieve a token Stripe API reference: https://stripe.com/docs/api#token"},{"ref":"Stripe.Token.html#create/2","title":"Stripe.Token.create/2","type":"function","doc":"Creates a single use token that wraps the details of a credit card. This token can be used in place of a credit card dictionary with any API method. These tokens can only be used once: by creating a new charge object, or attaching them to a customer. In most cases, you should create tokens client-side using Checkout, Elements, or Stripe&#39;s mobile libraries, instead of using the API."},{"ref":"Stripe.Token.html#retrieve/2","title":"Stripe.Token.retrieve/2","type":"function","doc":"Retrieve a token."},{"ref":"Stripe.Token.html#t:t/0","title":"Stripe.Token.t/0","type":"type","doc":""},{"ref":"Stripe.Token.html#t:token_bank_account/0","title":"Stripe.Token.token_bank_account/0","type":"type","doc":""},{"ref":"Stripe.Token.html#t:token_card/0","title":"Stripe.Token.token_card/0","type":"type","doc":""},{"ref":"Stripe.BankAccount.html","title":"Stripe.BankAccount","type":"module","doc":"Work with Stripe bank account objects. Stripe API reference: https://stripe.com/docs/api#bank_accounts"},{"ref":"Stripe.BankAccount.html#create/2","title":"Stripe.BankAccount.create/2","type":"function","doc":"Create a bank account."},{"ref":"Stripe.BankAccount.html#delete/3","title":"Stripe.BankAccount.delete/3","type":"function","doc":"Delete a bank account."},{"ref":"Stripe.BankAccount.html#list/2","title":"Stripe.BankAccount.list/2","type":"function","doc":"List all bank accounts."},{"ref":"Stripe.BankAccount.html#retrieve/3","title":"Stripe.BankAccount.retrieve/3","type":"function","doc":"Retrieve a bank account."},{"ref":"Stripe.BankAccount.html#update/3","title":"Stripe.BankAccount.update/3","type":"function","doc":"Update a bank account."},{"ref":"Stripe.BankAccount.html#verify/3","title":"Stripe.BankAccount.verify/3","type":"function","doc":"Verify a bank account."},{"ref":"Stripe.BankAccount.html#t:t/0","title":"Stripe.BankAccount.t/0","type":"type","doc":""},{"ref":"Stripe.Card.html","title":"Stripe.Card","type":"module","doc":"Work with Stripe card objects. You can: Create a card Retrieve a card Update a card Delete a card If you have been using an old version of the library, note that the functions which take an owner_type argument are now deprecated. The owner type is indicated by setting either the recipient or customer Stripe API reference: https://stripe.com/docs/api#cards"},{"ref":"Stripe.Card.html#create/2","title":"Stripe.Card.create/2","type":"function","doc":"Create a card. This requires a token created by a library like Stripe.js. For PCI compliance reasons you should not send a card&#39;s number or CVC to your own server. If you want to create a card with your server without a token, you can use the low-level API."},{"ref":"Stripe.Card.html#delete/3","title":"Stripe.Card.delete/3","type":"function","doc":"Delete a card."},{"ref":"Stripe.Card.html#list/2","title":"Stripe.Card.list/2","type":"function","doc":"List all cards."},{"ref":"Stripe.Card.html#retrieve/3","title":"Stripe.Card.retrieve/3","type":"function","doc":"Retrieve a card."},{"ref":"Stripe.Card.html#update/3","title":"Stripe.Card.update/3","type":"function","doc":"Update a card. Takes the id and a map of changes"},{"ref":"Stripe.Card.html#t:t/0","title":"Stripe.Card.t/0","type":"type","doc":""},{"ref":"Stripe.PaymentMethod.html","title":"Stripe.PaymentMethod","type":"module","doc":"Work with Stripe payment method objects. Stripe API reference: https://stripe.com/docs/api/payment_methods"},{"ref":"Stripe.PaymentMethod.html#attach/2","title":"Stripe.PaymentMethod.attach/2","type":"function","doc":"Attach payment_method to customer"},{"ref":"Stripe.PaymentMethod.html#create/2","title":"Stripe.PaymentMethod.create/2","type":"function","doc":"Create a payment method."},{"ref":"Stripe.PaymentMethod.html#detach/2","title":"Stripe.PaymentMethod.detach/2","type":"function","doc":"Detach payment_method from customer"},{"ref":"Stripe.PaymentMethod.html#list/2","title":"Stripe.PaymentMethod.list/2","type":"function","doc":"List all payment methods."},{"ref":"Stripe.PaymentMethod.html#retrieve/2","title":"Stripe.PaymentMethod.retrieve/2","type":"function","doc":"Retrieve a payment method."},{"ref":"Stripe.PaymentMethod.html#update/3","title":"Stripe.PaymentMethod.update/3","type":"function","doc":"Update a card. Takes the id and a map of changes"},{"ref":"Stripe.PaymentMethod.html#t:billing_details/0","title":"Stripe.PaymentMethod.billing_details/0","type":"type","doc":""},{"ref":"Stripe.PaymentMethod.html#t:card/0","title":"Stripe.PaymentMethod.card/0","type":"type","doc":""},{"ref":"Stripe.PaymentMethod.html#t:t/0","title":"Stripe.PaymentMethod.t/0","type":"type","doc":""},{"ref":"Stripe.Source.html","title":"Stripe.Source","type":"module","doc":"Work with Stripe source objects. Stripe API reference: https://stripe.com/docs/api#sources"},{"ref":"Stripe.Source.html#attach/2","title":"Stripe.Source.attach/2","type":"function","doc":"Attach a source to a customer."},{"ref":"Stripe.Source.html#create/2","title":"Stripe.Source.create/2","type":"function","doc":"Create a source."},{"ref":"Stripe.Source.html#detach/3","title":"Stripe.Source.detach/3","type":"function","doc":"Detach a source from a customer."},{"ref":"Stripe.Source.html#retrieve/3","title":"Stripe.Source.retrieve/3","type":"function","doc":"Retrieve a source."},{"ref":"Stripe.Source.html#update/3","title":"Stripe.Source.update/3","type":"function","doc":"Update a source. Takes the id and a map of changes"},{"ref":"Stripe.Source.html#t:ach_credit_transfer/0","title":"Stripe.Source.ach_credit_transfer/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:ach_debit/0","title":"Stripe.Source.ach_debit/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:alipay/0","title":"Stripe.Source.alipay/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:bancontact/0","title":"Stripe.Source.bancontact/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:bitcoin/0","title":"Stripe.Source.bitcoin/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:card/0","title":"Stripe.Source.card/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:code_verification_flow/0","title":"Stripe.Source.code_verification_flow/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:customer/0","title":"Stripe.Source.customer/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:eps/0","title":"Stripe.Source.eps/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:giropay/0","title":"Stripe.Source.giropay/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:ideal/0","title":"Stripe.Source.ideal/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:multibanco/0","title":"Stripe.Source.multibanco/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:owner/0","title":"Stripe.Source.owner/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:p24/0","title":"Stripe.Source.p24/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:receiver_flow/0","title":"Stripe.Source.receiver_flow/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:redirect_flow/0","title":"Stripe.Source.redirect_flow/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:sepa_debit/0","title":"Stripe.Source.sepa_debit/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:sofort/0","title":"Stripe.Source.sofort/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:source_type/0","title":"Stripe.Source.source_type/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:t/0","title":"Stripe.Source.t/0","type":"type","doc":""},{"ref":"Stripe.Source.html#t:three_d_secure/0","title":"Stripe.Source.three_d_secure/0","type":"type","doc":""},{"ref":"Stripe.Session.html","title":"Stripe.Session","type":"module","doc":"Work with Stripe Checkout Session objects. You can: Create a new session Retrieve a session Stripe API reference: https://stripe.com/docs/api/checkout/sessions"},{"ref":"Stripe.Session.html#create/2","title":"Stripe.Session.create/2","type":"function","doc":""},{"ref":"Stripe.Session.html#retrieve/2","title":"Stripe.Session.retrieve/2","type":"function","doc":"Retrieve a session."},{"ref":"Stripe.Session.html#t:capture_method/0","title":"Stripe.Session.capture_method/0","type":"type","doc":""},{"ref":"Stripe.Session.html#t:create_params/0","title":"Stripe.Session.create_params/0","type":"type","doc":""},{"ref":"Stripe.Session.html#t:item/0","title":"Stripe.Session.item/0","type":"type","doc":""},{"ref":"Stripe.Session.html#t:line_item/0","title":"Stripe.Session.line_item/0","type":"type","doc":""},{"ref":"Stripe.Session.html#t:payment_intent_data/0","title":"Stripe.Session.payment_intent_data/0","type":"type","doc":""},{"ref":"Stripe.Session.html#t:subscription_data/0","title":"Stripe.Session.subscription_data/0","type":"type","doc":""},{"ref":"Stripe.Session.html#t:t/0","title":"Stripe.Session.t/0","type":"type","doc":""},{"ref":"Stripe.Session.html#t:transfer_data/0","title":"Stripe.Session.transfer_data/0","type":"type","doc":""},{"ref":"Stripe.Coupon.html","title":"Stripe.Coupon","type":"module","doc":"Work with Stripe coupon objects. You can: Create a coupon Retrieve a coupon Update a coupon Delete a coupon list all coupons Stripe API reference: https://stripe.com/docs/api#coupons"},{"ref":"Stripe.Coupon.html#create/2","title":"Stripe.Coupon.create/2","type":"function","doc":"Create a coupon."},{"ref":"Stripe.Coupon.html#delete/2","title":"Stripe.Coupon.delete/2","type":"function","doc":"Delete a coupon."},{"ref":"Stripe.Coupon.html#list/2","title":"Stripe.Coupon.list/2","type":"function","doc":"List all coupons."},{"ref":"Stripe.Coupon.html#retrieve/2","title":"Stripe.Coupon.retrieve/2","type":"function","doc":"Retrieve a coupon."},{"ref":"Stripe.Coupon.html#update/3","title":"Stripe.Coupon.update/3","type":"function","doc":"Updates the metadata of a coupon. Other coupon details (currency, duration, amount_off) are, by design, not editable. Takes the id and a map of changes."},{"ref":"Stripe.Coupon.html#t:t/0","title":"Stripe.Coupon.t/0","type":"type","doc":""},{"ref":"Stripe.CreditNote.html","title":"Stripe.CreditNote","type":"module","doc":"Work with Stripe Credit Note objects. You can: Create a credit note Retrieve a credit note Update a credit note Void a credit note List credit notes { &quot;id&quot;: &quot;ivory-extended-580&quot;, &quot;object&quot;: &quot;plan&quot;, &quot;active&quot;: true, &quot;aggregate_usage&quot;: null, &quot;amount&quot;: 999, &quot;billing_scheme&quot;: &quot;per_unit&quot;, &quot;created&quot;: 1531234812, &quot;currency&quot;: &quot;usd&quot;, &quot;interval&quot;: &quot;month&quot;, &quot;interval_count&quot;: 1, &quot;livemode&quot;: false, &quot;metadata&quot;: { }, &quot;nickname&quot;: null, &quot;product&quot;: &quot;prod_DCmtkptv7qHXGE&quot;, &quot;tiers&quot;: null, &quot;tiers_mode&quot;: null, &quot;transform_usage&quot;: null, &quot;trial_period_days&quot;: null, &quot;usage_type&quot;: &quot;licensed&quot; }"},{"ref":"Stripe.CreditNote.html#create/2","title":"Stripe.CreditNote.create/2","type":"function","doc":"Create a credit note. Stripe.CreditNote.create(%{ invoice: &quot;in_173uNd4Wq104wst7Gf4dgq1Y&quot;, amount: 500, })"},{"ref":"Stripe.CreditNote.html#list/2","title":"Stripe.CreditNote.list/2","type":"function","doc":"List all credit notes. Stripe.CreditNote.list(limit: 3)"},{"ref":"Stripe.CreditNote.html#retrieve/2","title":"Stripe.CreditNote.retrieve/2","type":"function","doc":"Retrieve a Credit Note. Stripe.CreditNote.retrieve(&quot;cn_1EXwJk4Wq104wst7IISdh9ed&quot;)"},{"ref":"Stripe.CreditNote.html#update/3","title":"Stripe.CreditNote.update/3","type":"function","doc":"Update a credit note. Takes the id and a map of changes. Stripe.CreditNote.update( &quot;cn_1EXwJk4Wq104wst7IISdh9ed&quot;, %{ metadata: {order_id: &quot;6735&quot;}, } )"},{"ref":"Stripe.CreditNote.html#void/2","title":"Stripe.CreditNote.void/2","type":"function","doc":"Void a credit note. Stripe.CreditNote.void(&quot;cn_1EXwJk4Wq104wst7IISdh9ed&quot;)"},{"ref":"Stripe.CreditNote.html#t:t/0","title":"Stripe.CreditNote.t/0","type":"type","doc":""},{"ref":"Stripe.Discount.html","title":"Stripe.Discount","type":"module","doc":"Work with Stripe discounts. Stripe API reference: https://stripe.com/docs/api#discounts"},{"ref":"Stripe.Discount.html#t:t/0","title":"Stripe.Discount.t/0","type":"type","doc":""},{"ref":"Stripe.Invoice.html","title":"Stripe.Invoice","type":"module","doc":"Work with Stripe invoice objects. You can: Create an invoice Retrieve an invoice Update an invoice Void an invoice Does not take options yet. Stripe API reference: https://stripe.com/docs/api#invoice"},{"ref":"Stripe.Invoice.html#create/2","title":"Stripe.Invoice.create/2","type":"function","doc":"Create an invoice This endpoint creates a draft invoice for a given customer. The draft invoice created pulls in all pending invoice items on that customer, including prorations. See Stripe docs"},{"ref":"Stripe.Invoice.html#delete/2","title":"Stripe.Invoice.delete/2","type":"function","doc":"Delete an invoice Permanently deletes a draft invoice. This cannot be undone. Attempts to delete invoices that are no longer in a draft state will fail; once an invoice has been finalized, it must be voided. Example {:ok, _} = Stripe.Invoice.delete(&quot;in_16vEXC2eZvKYlo2CU9MyflAA&quot;) {:ok, _} = Stripe.Invoice.delete(%Stripe.Invoice{id: &quot;in_16vEXC2eZvKYlo2CU9MyflAA&quot;}) See Stripe docs"},{"ref":"Stripe.Invoice.html#finalize/3","title":"Stripe.Invoice.finalize/3","type":"function","doc":"Finalize an invoice Stripe automatically finalizes drafts before sending and attempting payment on invoices. However, if you’d like to finalize a draft invoice manually, you can do so using this method. See Stripe docs"},{"ref":"Stripe.Invoice.html#list/2","title":"Stripe.Invoice.list/2","type":"function","doc":"List all invoices You can list all invoices, or list the invoices for a specific customer. The invoices are returned sorted by creation date, with the most recently created invoices appearing first. See Stripe docs"},{"ref":"Stripe.Invoice.html#mark_as_uncollectible/2","title":"Stripe.Invoice.mark_as_uncollectible/2","type":"function","doc":"Mark an invoice as uncollectible Marking an invoice as uncollectible is useful for keeping track of bad debts that can be written off for accounting purposes. Example {:ok, _} = Stripe.Invoice.mark_as_uncollectible(&quot;in_16vEXC2eZvKYlo2CU9MyflAA&quot;) {:ok, _} = Stripe.Invoice.mark_as_uncollectible(%Stripe.Invoice{id: &quot;in_16vEXC2eZvKYlo2CU9MyflAA&quot;}) See Stripe docs"},{"ref":"Stripe.Invoice.html#pay/3","title":"Stripe.Invoice.pay/3","type":"function","doc":"Pay an invoice Stripe automatically creates and then attempts to collect payment on invoices for customers on subscriptions according to your subscriptions settings. However, if you’d like to attempt payment on an invoice out of the normal collection schedule or for some other reason, you can do so. See Stripe docs"},{"ref":"Stripe.Invoice.html#retrieve/2","title":"Stripe.Invoice.retrieve/2","type":"function","doc":"Retrieve an invoice. Retrieves the invoice with the given ID. See Stripe docs"},{"ref":"Stripe.Invoice.html#send/2","title":"Stripe.Invoice.send/2","type":"function","doc":"Send an invoice Stripe will automatically send invoices to customers according to your subscriptions settings. However, if you’d like to manually send an invoice to your customer out of the normal schedule, you can do so. When sending invoices that have already been paid, there will be no reference to the payment in the email. Requests made in test-mode result in no emails being sent, despite sending an invoice.sent event. See Stripe docs"},{"ref":"Stripe.Invoice.html#upcoming/2","title":"Stripe.Invoice.upcoming/2","type":"function","doc":"Retrieve an upcoming invoice At any time, you can preview the upcoming invoice for a customer. This will show you all the charges that are pending, including subscription renewal charges, invoice item charges, etc. It will also show you any discount that is applicable to the customer. See Stripe docs"},{"ref":"Stripe.Invoice.html#update/3","title":"Stripe.Invoice.update/3","type":"function","doc":"Update an invoice. Takes the id and a map of changes. Draft invoices are fully editable. Once an invoice is finalized, monetary values, as well as billing, become uneditable. See Stripe docs"},{"ref":"Stripe.Invoice.html#void/2","title":"Stripe.Invoice.void/2","type":"function","doc":"Void an invoice Mark a finalized invoice as void. This cannot be undone. Voiding an invoice is similar to deletion, however it only applies to finalized invoices and maintains a papertrail where the invoice can still be found. See Stripe docs"},{"ref":"Stripe.Invoice.html#t:custom_fields/0","title":"Stripe.Invoice.custom_fields/0","type":"type","doc":""},{"ref":"Stripe.Invoice.html#t:invoice_settings/0","title":"Stripe.Invoice.invoice_settings/0","type":"type","doc":""},{"ref":"Stripe.Invoice.html#t:status_transitions/0","title":"Stripe.Invoice.status_transitions/0","type":"type","doc":""},{"ref":"Stripe.Invoice.html#t:t/0","title":"Stripe.Invoice.t/0","type":"type","doc":""},{"ref":"Stripe.Invoiceitem.html","title":"Stripe.Invoiceitem","type":"module","doc":"Work with Stripe invoiceitem objects. Stripe API reference: https://stripe.com/docs/api#invoiceitems Note: this module is named Invoiceitem and not InvoiceItem on purpose, to match the Stripe terminology of invoiceitem."},{"ref":"Stripe.Invoiceitem.html#create/2","title":"Stripe.Invoiceitem.create/2","type":"function","doc":"Create an invoiceitem."},{"ref":"Stripe.Invoiceitem.html#delete/2","title":"Stripe.Invoiceitem.delete/2","type":"function","doc":"Delete and invoiceitem Takes the id of the invoiceitem to delete."},{"ref":"Stripe.Invoiceitem.html#list/2","title":"Stripe.Invoiceitem.list/2","type":"function","doc":"List all invoiceitems."},{"ref":"Stripe.Invoiceitem.html#retrieve/2","title":"Stripe.Invoiceitem.retrieve/2","type":"function","doc":"Retrieve an invoiceitem."},{"ref":"Stripe.Invoiceitem.html#update/3","title":"Stripe.Invoiceitem.update/3","type":"function","doc":"Update an invoiceitem. Takes the id and a map of changes."},{"ref":"Stripe.Invoiceitem.html#t:t/0","title":"Stripe.Invoiceitem.t/0","type":"type","doc":""},{"ref":"Stripe.LineItem.html","title":"Stripe.LineItem","type":"module","doc":"Work with Stripe (invoice) line item objects. Stripe API reference: https://stripe.com/docs/api/ruby#invoice_line_item_object"},{"ref":"Stripe.LineItem.html#retrieve/3","title":"Stripe.LineItem.retrieve/3","type":"function","doc":"Retrieve an invoice line item."},{"ref":"Stripe.LineItem.html#t:t/0","title":"Stripe.LineItem.t/0","type":"type","doc":""},{"ref":"Stripe.LineItem.html#t:tax_amount/0","title":"Stripe.LineItem.tax_amount/0","type":"type","doc":""},{"ref":"Stripe.Plan.html","title":"Stripe.Plan","type":"module","doc":"Work with Stripe plan objects. You can: Create a plan Retrieve a plan Update a plan Delete a plan Does not yet render lists or take options. Stripe API reference: https://stripe.com/docs/api#plan Example: { &quot;id&quot;: &quot;ivory-extended-580&quot;, &quot;object&quot;: &quot;plan&quot;, &quot;active&quot;: true, &quot;aggregate_usage&quot;: null, &quot;amount&quot;: 999, &quot;billing_scheme&quot;: &quot;per_unit&quot;, &quot;created&quot;: 1531234812, &quot;currency&quot;: &quot;usd&quot;, &quot;interval&quot;: &quot;month&quot;, &quot;interval_count&quot;: 1, &quot;livemode&quot;: false, &quot;metadata&quot;: { }, &quot;nickname&quot;: null, &quot;product&quot;: &quot;prod_DCmtkptv7qHXGE&quot;, &quot;tiers&quot;: null, &quot;tiers_mode&quot;: null, &quot;transform_usage&quot;: null, &quot;trial_period_days&quot;: null, &quot;usage_type&quot;: &quot;licensed&quot; }"},{"ref":"Stripe.Plan.html#create/2","title":"Stripe.Plan.create/2","type":"function","doc":"Create a plan."},{"ref":"Stripe.Plan.html#delete/2","title":"Stripe.Plan.delete/2","type":"function","doc":"Delete a plan."},{"ref":"Stripe.Plan.html#list/2","title":"Stripe.Plan.list/2","type":"function","doc":"List all plans."},{"ref":"Stripe.Plan.html#retrieve/2","title":"Stripe.Plan.retrieve/2","type":"function","doc":"Retrieve a plan."},{"ref":"Stripe.Plan.html#update/3","title":"Stripe.Plan.update/3","type":"function","doc":"Update a plan. Takes the id and a map of changes."},{"ref":"Stripe.Plan.html#t:t/0","title":"Stripe.Plan.t/0","type":"type","doc":""},{"ref":"Stripe.Subscription.html","title":"Stripe.Subscription","type":"module","doc":"Work with Stripe subscription objects. You can: Create a subscription Retrieve a subscription Update a subscription Delete a subscription Stripe API reference: https://stripe.com/docs/api#subscription"},{"ref":"Stripe.Subscription.html#create/2","title":"Stripe.Subscription.create/2","type":"function","doc":"Create a subscription."},{"ref":"Stripe.Subscription.html#delete/1","title":"Stripe.Subscription.delete/1","type":"function","doc":"Delete a subscription. Takes the subscription id or a Stripe.Subscription struct."},{"ref":"Stripe.Subscription.html#delete/2","title":"Stripe.Subscription.delete/2","type":"function","doc":"Delete a subscription. Takes the subscription id and an optional map of params. Deprecated Usage Passing a map with at_period_end: true to Subscription.delete/2 is deprecated. Use Subscription.update/2 with cancel_at_period_end: true instead."},{"ref":"Stripe.Subscription.html#delete/3","title":"Stripe.Subscription.delete/3","type":"function","doc":"DEPRECATED: Use Subscription.update/3 with cancel_at_period_end: true instead."},{"ref":"Stripe.Subscription.html#delete_discount/2","title":"Stripe.Subscription.delete_discount/2","type":"function","doc":"Deletes the discount on a subscription."},{"ref":"Stripe.Subscription.html#list/2","title":"Stripe.Subscription.list/2","type":"function","doc":"List all subscriptions."},{"ref":"Stripe.Subscription.html#retrieve/2","title":"Stripe.Subscription.retrieve/2","type":"function","doc":"Retrieve a subscription."},{"ref":"Stripe.Subscription.html#update/3","title":"Stripe.Subscription.update/3","type":"function","doc":"Update a subscription. Takes the id and a map of changes."},{"ref":"Stripe.Subscription.html#t:t/0","title":"Stripe.Subscription.t/0","type":"type","doc":""},{"ref":"Stripe.SubscriptionItem.html","title":"Stripe.SubscriptionItem","type":"module","doc":"Work with Stripe subscription item objects. Stripe API reference: https://stripe.com/docs/api#subscription_items"},{"ref":"Stripe.SubscriptionItem.html#create/2","title":"Stripe.SubscriptionItem.create/2","type":"function","doc":"Create a subscription item."},{"ref":"Stripe.SubscriptionItem.html#delete/3","title":"Stripe.SubscriptionItem.delete/3","type":"function","doc":"Delete a subscription. Takes the id and an optional map of params."},{"ref":"Stripe.SubscriptionItem.html#list/3","title":"Stripe.SubscriptionItem.list/3","type":"function","doc":"List all subscriptions."},{"ref":"Stripe.SubscriptionItem.html#retrieve/2","title":"Stripe.SubscriptionItem.retrieve/2","type":"function","doc":"Retrieve a subscription."},{"ref":"Stripe.SubscriptionItem.html#update/3","title":"Stripe.SubscriptionItem.update/3","type":"function","doc":"Update a subscription item. Takes the id and a map of changes."},{"ref":"Stripe.SubscriptionItem.html#t:t/0","title":"Stripe.SubscriptionItem.t/0","type":"type","doc":""},{"ref":"Stripe.SubscriptionItem.Usage.html","title":"Stripe.SubscriptionItem.Usage","type":"module","doc":"Work with Stripe usage record objects. Stripe API reference: https://stripe.com/docs/api/usage_records"},{"ref":"Stripe.SubscriptionItem.Usage.html#create/3","title":"Stripe.SubscriptionItem.Usage.create/3","type":"function","doc":"Creates a usage record for a specified subscription item id and date, and fills it with a quantity."},{"ref":"Stripe.SubscriptionItem.Usage.html#list/3","title":"Stripe.SubscriptionItem.Usage.list/3","type":"function","doc":"List all subscription item period summaries"},{"ref":"Stripe.SubscriptionItem.Usage.html#t:t/0","title":"Stripe.SubscriptionItem.Usage.t/0","type":"type","doc":""},{"ref":"Stripe.SubscriptionSchedule.html","title":"Stripe.SubscriptionSchedule","type":"module","doc":"Work with Stripe subscription schedule objects."},{"ref":"Stripe.SubscriptionSchedule.html#cancel/2","title":"Stripe.SubscriptionSchedule.cancel/2","type":"function","doc":"Cancels a subscription schedule and its associated subscription immediately (if the subscription schedule has an active subscription). A subscription schedule can only be canceled if its status is not_started or active. Takes the subscription schedule id."},{"ref":"Stripe.SubscriptionSchedule.html#create/2","title":"Stripe.SubscriptionSchedule.create/2","type":"function","doc":"Create a subscription schedule. Examples Create subscription schedule from existing subscription Stripe.SubscriptionSchedule.create(%{from_subscription: &quot;sub_1234&quot;})"},{"ref":"Stripe.SubscriptionSchedule.html#list/2","title":"Stripe.SubscriptionSchedule.list/2","type":"function","doc":"Retrieves the list of your subscription schedules."},{"ref":"Stripe.SubscriptionSchedule.html#release/2","title":"Stripe.SubscriptionSchedule.release/2","type":"function","doc":"Releases a subscription schedule Takes the subscription schedule id."},{"ref":"Stripe.SubscriptionSchedule.html#retrieve/2","title":"Stripe.SubscriptionSchedule.retrieve/2","type":"function","doc":"Retrieve a subscription schedule."},{"ref":"Stripe.SubscriptionSchedule.html#update/3","title":"Stripe.SubscriptionSchedule.update/3","type":"function","doc":"Update a subscription schedule. Takes the id and a map of changes."},{"ref":"Stripe.SubscriptionSchedule.html#t:phases/0","title":"Stripe.SubscriptionSchedule.phases/0","type":"type","doc":""},{"ref":"Stripe.SubscriptionSchedule.html#t:plans/0","title":"Stripe.SubscriptionSchedule.plans/0","type":"type","doc":""},{"ref":"Stripe.SubscriptionSchedule.html#t:t/0","title":"Stripe.SubscriptionSchedule.t/0","type":"type","doc":""},{"ref":"Stripe.TaxRate.html","title":"Stripe.TaxRate","type":"module","doc":"Work with Stripe TaxRate objects."},{"ref":"Stripe.TaxRate.html#create/2","title":"Stripe.TaxRate.create/2","type":"function","doc":"Create a tax rate."},{"ref":"Stripe.TaxRate.html#list/2","title":"Stripe.TaxRate.list/2","type":"function","doc":"List all tax rates."},{"ref":"Stripe.TaxRate.html#retrieve/2","title":"Stripe.TaxRate.retrieve/2","type":"function","doc":"Retrieve a tax rate."},{"ref":"Stripe.TaxRate.html#update/3","title":"Stripe.TaxRate.update/3","type":"function","doc":"Update a tax rate. Takes the id and a map of changes."},{"ref":"Stripe.TaxRate.html#t:t/0","title":"Stripe.TaxRate.t/0","type":"type","doc":""},{"ref":"Stripe.Account.html","title":"Stripe.Account","type":"module","doc":"Work with Stripe Connect account objects. You can: Retrieve your own account Retrieve an account with a specified id This module does not yet support managed accounts. Stripe API reference: https://stripe.com/docs/api#account"},{"ref":"Stripe.Account.html#create/2","title":"Stripe.Account.create/2","type":"function","doc":"Create an account."},{"ref":"Stripe.Account.html#create_login_link/3","title":"Stripe.Account.create_login_link/3","type":"function","doc":"Create a login link."},{"ref":"Stripe.Account.html#delete/2","title":"Stripe.Account.delete/2","type":"function","doc":"Delete an account."},{"ref":"Stripe.Account.html#list/2","title":"Stripe.Account.list/2","type":"function","doc":"List all connected accounts."},{"ref":"Stripe.Account.html#reject/3","title":"Stripe.Account.reject/3","type":"function","doc":"Reject an account. Takes the id and reason."},{"ref":"Stripe.Account.html#retrieve/0","title":"Stripe.Account.retrieve/0","type":"function","doc":"Retrieve your own account without options."},{"ref":"Stripe.Account.html#retrieve/1","title":"Stripe.Account.retrieve/1","type":"function","doc":"Retrieve your own account with options."},{"ref":"Stripe.Account.html#retrieve/2","title":"Stripe.Account.retrieve/2","type":"function","doc":"Retrieve an account with a specified id."},{"ref":"Stripe.Account.html#update/3","title":"Stripe.Account.update/3","type":"function","doc":"Update an account. Takes the id and a map of changes."},{"ref":"Stripe.Account.html#t:business_profile/0","title":"Stripe.Account.business_profile/0","type":"type","doc":""},{"ref":"Stripe.Account.html#t:capabilities/0","title":"Stripe.Account.capabilities/0","type":"type","doc":""},{"ref":"Stripe.Account.html#t:company/0","title":"Stripe.Account.company/0","type":"type","doc":""},{"ref":"Stripe.Account.html#t:decline_charge_on/0","title":"Stripe.Account.decline_charge_on/0","type":"type","doc":""},{"ref":"Stripe.Account.html#t:individual/0","title":"Stripe.Account.individual/0","type":"type","doc":""},{"ref":"Stripe.Account.html#t:individual_additional_owner/0","title":"Stripe.Account.individual_additional_owner/0","type":"type","doc":""},{"ref":"Stripe.Account.html#t:individual_verification/0","title":"Stripe.Account.individual_verification/0","type":"type","doc":""},{"ref":"Stripe.Account.html#t:requirements/0","title":"Stripe.Account.requirements/0","type":"type","doc":""},{"ref":"Stripe.Account.html#t:settings/0","title":"Stripe.Account.settings/0","type":"type","doc":""},{"ref":"Stripe.Account.html#t:t/0","title":"Stripe.Account.t/0","type":"type","doc":""},{"ref":"Stripe.Account.html#t:tos_acceptance/0","title":"Stripe.Account.tos_acceptance/0","type":"type","doc":""},{"ref":"Stripe.Account.html#t:verification/0","title":"Stripe.Account.verification/0","type":"type","doc":""},{"ref":"Stripe.ApplicationFee.html","title":"Stripe.ApplicationFee","type":"module","doc":"Work with Stripe Connect application fees. Stripe API reference: https://stripe.com/docs/api#application_fees"},{"ref":"Stripe.ApplicationFee.html#list/2","title":"Stripe.ApplicationFee.list/2","type":"function","doc":"List all application fees"},{"ref":"Stripe.ApplicationFee.html#retrieve/1","title":"Stripe.ApplicationFee.retrieve/1","type":"function","doc":"Retrieves the details of the application fees"},{"ref":"Stripe.ApplicationFee.html#t:t/0","title":"Stripe.ApplicationFee.t/0","type":"type","doc":""},{"ref":"Stripe.Connect.OAuth.html","title":"Stripe.Connect.OAuth","type":"behaviour","doc":"Work with Stripe Connect. You can: generate the URL for starting the OAuth workflow authorize a new connected account with a token deauthorize an existing connected account Stripe API reference: https://stripe.com/docs/connect/reference"},{"ref":"Stripe.Connect.OAuth.html#authorize_url/1","title":"Stripe.Connect.OAuth.authorize_url/1","type":"function","doc":"Generate the URL to start a Stripe workflow. Paremeter Map Keys The parameter map keys are derived from the valid request parameter for the Stripe Connect authorize endpoint. A parameter only needs to be provided if you wish to override the default. :always_prompt :client_id :redirect_uri :response_type :scope :state :stripe_landing :stripe_user For ease of use, any parameters you provide will be merged into the following default map with sensible defaults. This also allows you to call the function with no parameters and it will fall back to this map: %{ client_id: client_id, # :connect_client_id from configuration response_type: &quot;code&quot;, scope: &quot;read_write&quot; } Example connect_opts = %{ state: &quot;2686e7a93156ff5af76a83262ac653&quot;, stripe_user: %{ &quot;email&quot; =&gt; &quot;local@business.example.net&quot;, &quot;url&quot; =&gt; &quot;http://local.example.net&quot;, &quot;country&quot; =&gt; &quot;US&quot;, &quot;phone_number&quot; =&gt; &quot;5555555678&quot;, &quot;business_name&quot; =&gt; &quot;Jeanine &amp; Jerome&#39;s Jellies&quot;, &quot;businessy_type&quot; =&gt; &quot;llc&quot;, &quot;first_name&quot; =&gt; &quot;Jeanine&quot;, &quot;last_name&quot; =&gt; &quot;Smith&quot;, &quot;dob_day&quot; =&gt; 29, &quot;dob_month&quot; =&gt; 1, &quot;dob_year&quot; =&gt; 1983, &quot;street_address&quot; =&gt; &quot;123 Main St.&quot;, &quot;product_category&quot; =&gt; &quot;food_and_restuarants&quot; } } url = Stripe.Connect.OAuth.authorize_url(connect_opts)"},{"ref":"Stripe.Connect.OAuth.html#c:authorize_url/1","title":"Stripe.Connect.OAuth.authorize_url/1","type":"callback","doc":""},{"ref":"Stripe.Connect.OAuth.html#deauthorize/1","title":"Stripe.Connect.OAuth.deauthorize/1","type":"function","doc":"De-authorizes the connected account. Requires the customer to re-establish the link using the onboarding workflow. Example iex(1)&gt; {:ok, result} = Stripe.Connect.OAuth.deauthorize(stripe_user_id)"},{"ref":"Stripe.Connect.OAuth.html#c:deauthorize_url/1","title":"Stripe.Connect.OAuth.deauthorize_url/1","type":"callback","doc":""},{"ref":"Stripe.Connect.OAuth.html#token/1","title":"Stripe.Connect.OAuth.token/1","type":"function","doc":"Execute the OAuth callback to Stripe using the code supplied in the request parameter of the oauth redirect at the end of the onboarding workflow. Example iex(1)&gt; {:ok, resp} = Stripe.Connect.OAuth.token(code) ...(1)&gt; IO.inspect resp %Stripe.Connect.OAuth.TokenResponse{ access_token: &quot;ACCESS_TOKEN&quot;, livemode: false, refresh_token: &quot;REFRESH_TOKEN&quot;, scope: &quot;read_write&quot;, stripe_publishable_key: &quot;PUBLISHABLE_KEY&quot;, stripe_user_id: &quot;USER_ID&quot;, token_type: &quot;bearer&quot; }"},{"ref":"Stripe.Connect.OAuth.html#c:token/1","title":"Stripe.Connect.OAuth.token/1","type":"callback","doc":""},{"ref":"Stripe.Connect.OAuth.AuthorizeResponse.html","title":"Stripe.Connect.OAuth.AuthorizeResponse","type":"module","doc":""},{"ref":"Stripe.Connect.OAuth.DeauthorizeResponse.html","title":"Stripe.Connect.OAuth.DeauthorizeResponse","type":"module","doc":""},{"ref":"Stripe.Connect.OAuth.TokenResponse.html","title":"Stripe.Connect.OAuth.TokenResponse","type":"module","doc":""},{"ref":"Stripe.CountrySpec.html","title":"Stripe.CountrySpec","type":"module","doc":"Work with the Stripe country specs API. Stripe API reference: https://stripe.com/docs/api#country_specs"},{"ref":"Stripe.CountrySpec.html#list/2","title":"Stripe.CountrySpec.list/2","type":"function","doc":"List all country specs."},{"ref":"Stripe.CountrySpec.html#retrieve/2","title":"Stripe.CountrySpec.retrieve/2","type":"function","doc":"Retrieve a country spec."},{"ref":"Stripe.CountrySpec.html#t:t/0","title":"Stripe.CountrySpec.t/0","type":"type","doc":""},{"ref":"Stripe.ExternalAccount.html","title":"Stripe.ExternalAccount","type":"module","doc":"Work with Stripe external account objects. You can: Create an external account Retrieve an external account Update an external account Delete an external account Stripe API reference: https://stripe.com/docs/api#external_accounts"},{"ref":"Stripe.ExternalAccount.html#create/2","title":"Stripe.ExternalAccount.create/2","type":"function","doc":"Create an external account. Only accepts a token and not a hash of values."},{"ref":"Stripe.ExternalAccount.html#delete/3","title":"Stripe.ExternalAccount.delete/3","type":"function","doc":"Delete an external account."},{"ref":"Stripe.ExternalAccount.html#list/3","title":"Stripe.ExternalAccount.list/3","type":"function","doc":"List all external accounts. Takes either :bank_account or :card to determine which object to list."},{"ref":"Stripe.ExternalAccount.html#retrieve/3","title":"Stripe.ExternalAccount.retrieve/3","type":"function","doc":"Retrieve an external account."},{"ref":"Stripe.ExternalAccount.html#update/3","title":"Stripe.ExternalAccount.update/3","type":"function","doc":"Update an external account."},{"ref":"Stripe.ExternalAccount.html#t:create_params/0","title":"Stripe.ExternalAccount.create_params/0","type":"type","doc":""},{"ref":"Stripe.ExternalAccount.html#t:t/0","title":"Stripe.ExternalAccount.t/0","type":"type","doc":""},{"ref":"Stripe.FeeRefund.html","title":"Stripe.FeeRefund","type":"module","doc":"Work with Stripe Connect application fees refund. Stripe API reference: https://stripe.com/docs/api#fee_refunds"},{"ref":"Stripe.FeeRefund.html#create/3","title":"Stripe.FeeRefund.create/3","type":"function","doc":"Create a application fee refund"},{"ref":"Stripe.FeeRefund.html#list/3","title":"Stripe.FeeRefund.list/3","type":"function","doc":"List all transfers."},{"ref":"Stripe.FeeRefund.html#retrieve/3","title":"Stripe.FeeRefund.retrieve/3","type":"function","doc":"Retrieve a application fee refund."},{"ref":"Stripe.FeeRefund.html#update/4","title":"Stripe.FeeRefund.update/4","type":"function","doc":"Update a transfer. Takes the id and a map of changes."},{"ref":"Stripe.FeeRefund.html#t:t/0","title":"Stripe.FeeRefund.t/0","type":"type","doc":""},{"ref":"Stripe.LoginLink.html","title":"Stripe.LoginLink","type":"module","doc":""},{"ref":"Stripe.LoginLink.html#create/3","title":"Stripe.LoginLink.create/3","type":"function","doc":""},{"ref":"Stripe.LoginLink.html#t:t/0","title":"Stripe.LoginLink.t/0","type":"type","doc":""},{"ref":"Stripe.Recipient.html","title":"Stripe.Recipient","type":"module","doc":"Work with Stripe recipient objects. Stripe API reference: https://stripe.com/docs/api#recipients"},{"ref":"Stripe.Recipient.html#create/2","title":"Stripe.Recipient.create/2","type":"function","doc":"Create a recipient"},{"ref":"Stripe.Recipient.html#delete/2","title":"Stripe.Recipient.delete/2","type":"function","doc":"Delete a recipient."},{"ref":"Stripe.Recipient.html#list/2","title":"Stripe.Recipient.list/2","type":"function","doc":"List all recipients."},{"ref":"Stripe.Recipient.html#retrieve/2","title":"Stripe.Recipient.retrieve/2","type":"function","doc":"Retrieve a recipient."},{"ref":"Stripe.Recipient.html#update/3","title":"Stripe.Recipient.update/3","type":"function","doc":"Update a recipient. Takes the id and a map of changes"},{"ref":"Stripe.Recipient.html#t:t/0","title":"Stripe.Recipient.t/0","type":"type","doc":""},{"ref":"Stripe.Topup.html","title":"Stripe.Topup","type":"module","doc":"Work with Stripe Connect top-up objects. You can: Create a top-up Retrieve a top-up Update a top-up List all top-ups Cancel a top-up Stripe API reference: https://stripe.com/docs/api/topups"},{"ref":"Stripe.Topup.html#cancel/2","title":"Stripe.Topup.cancel/2","type":"function","doc":"Cancel a pending Top-up."},{"ref":"Stripe.Topup.html#create/2","title":"Stripe.Topup.create/2","type":"function","doc":"Create a Top-up."},{"ref":"Stripe.Topup.html#list/2","title":"Stripe.Topup.list/2","type":"function","doc":"List Top-ups."},{"ref":"Stripe.Topup.html#retrieve/2","title":"Stripe.Topup.retrieve/2","type":"function","doc":"Retrieve a Top-up."},{"ref":"Stripe.Topup.html#update/3","title":"Stripe.Topup.update/3","type":"function","doc":"Update a Top-up."},{"ref":"Stripe.Topup.html#t:t/0","title":"Stripe.Topup.t/0","type":"type","doc":""},{"ref":"Stripe.Transfer.html","title":"Stripe.Transfer","type":"module","doc":"Work with Stripe transfer objects. Stripe API reference: https://stripe.com/docs/api#transfers"},{"ref":"Stripe.Transfer.html#create/2","title":"Stripe.Transfer.create/2","type":"function","doc":"Create a transfer."},{"ref":"Stripe.Transfer.html#list/2","title":"Stripe.Transfer.list/2","type":"function","doc":"List all transfers."},{"ref":"Stripe.Transfer.html#retrieve/2","title":"Stripe.Transfer.retrieve/2","type":"function","doc":"Retrieve a transfer."},{"ref":"Stripe.Transfer.html#update/3","title":"Stripe.Transfer.update/3","type":"function","doc":"Update a transfer. Takes the id and a map of changes."},{"ref":"Stripe.Transfer.html#t:t/0","title":"Stripe.Transfer.t/0","type":"type","doc":""},{"ref":"Stripe.TransferReversal.html","title":"Stripe.TransferReversal","type":"module","doc":"Work with Stripe transfer_reversal objects. Stripe API reference: https://stripe.com/docs/api#transfer_reversal_object"},{"ref":"Stripe.TransferReversal.html#create/3","title":"Stripe.TransferReversal.create/3","type":"function","doc":"Create a transfer reversal"},{"ref":"Stripe.TransferReversal.html#list/3","title":"Stripe.TransferReversal.list/3","type":"function","doc":"List all transfers."},{"ref":"Stripe.TransferReversal.html#retrieve/3","title":"Stripe.TransferReversal.retrieve/3","type":"function","doc":"Retrieve a transfer reversal."},{"ref":"Stripe.TransferReversal.html#update/4","title":"Stripe.TransferReversal.update/4","type":"function","doc":"Update a transfer. Takes the id and a map of changes."},{"ref":"Stripe.TransferReversal.html#t:t/0","title":"Stripe.TransferReversal.t/0","type":"type","doc":""},{"ref":"Stripe.Review.html","title":"Stripe.Review","type":"module","doc":"Work with Stripe review objects. Stripe API reference: https://stripe.com/docs/api#reviews"},{"ref":"Stripe.Review.html#t:ip_address_location/0","title":"Stripe.Review.ip_address_location/0","type":"type","doc":""},{"ref":"Stripe.Review.html#t:session/0","title":"Stripe.Review.session/0","type":"type","doc":""},{"ref":"Stripe.Review.html#t:t/0","title":"Stripe.Review.t/0","type":"type","doc":""},{"ref":"Stripe.Issuing.Authorization.html","title":"Stripe.Issuing.Authorization","type":"module","doc":"Work with Stripe Issuing authorization objects. You can: Retrieve an authorization Update an authorization Approve an authorization Decline an authorization List all authorizations Stripe API reference: https://stripe.com/docs/api/issuing/authorizations"},{"ref":"Stripe.Issuing.Authorization.html#approve/3","title":"Stripe.Issuing.Authorization.approve/3","type":"function","doc":"Approve an authorization."},{"ref":"Stripe.Issuing.Authorization.html#decline/2","title":"Stripe.Issuing.Authorization.decline/2","type":"function","doc":"Decline an authorization."},{"ref":"Stripe.Issuing.Authorization.html#list/2","title":"Stripe.Issuing.Authorization.list/2","type":"function","doc":"List all authorizations."},{"ref":"Stripe.Issuing.Authorization.html#retrieve/2","title":"Stripe.Issuing.Authorization.retrieve/2","type":"function","doc":"Retrieve an authorization."},{"ref":"Stripe.Issuing.Authorization.html#update/3","title":"Stripe.Issuing.Authorization.update/3","type":"function","doc":"Update an authorization."},{"ref":"Stripe.Issuing.Authorization.html#t:request_history/0","title":"Stripe.Issuing.Authorization.request_history/0","type":"type","doc":""},{"ref":"Stripe.Issuing.Authorization.html#t:t/0","title":"Stripe.Issuing.Authorization.t/0","type":"type","doc":""},{"ref":"Stripe.Issuing.Authorization.html#t:verification_data/0","title":"Stripe.Issuing.Authorization.verification_data/0","type":"type","doc":""},{"ref":"Stripe.Issuing.Card.html","title":"Stripe.Issuing.Card","type":"module","doc":"Work with Stripe Issuing card objects. You can: Create a card Retrieve a card Update a card List all cards Stripe API reference: https://stripe.com/docs/api/issuing/cards"},{"ref":"Stripe.Issuing.Card.html#create/2","title":"Stripe.Issuing.Card.create/2","type":"function","doc":"Create a card."},{"ref":"Stripe.Issuing.Card.html#list/2","title":"Stripe.Issuing.Card.list/2","type":"function","doc":"List all cards."},{"ref":"Stripe.Issuing.Card.html#retrieve/2","title":"Stripe.Issuing.Card.retrieve/2","type":"function","doc":"Retrieve a card."},{"ref":"Stripe.Issuing.Card.html#update/3","title":"Stripe.Issuing.Card.update/3","type":"function","doc":"Update a card."},{"ref":"Stripe.Issuing.Card.html#t:t/0","title":"Stripe.Issuing.Card.t/0","type":"type","doc":""},{"ref":"Stripe.Issuing.CardDetails.html","title":"Stripe.Issuing.CardDetails","type":"module","doc":"Work with Stripe Issuing card details. You can: Retrieve card details Stripe API reference: https://stripe.com/docs/api/issuing/cards/retrieve_details"},{"ref":"Stripe.Issuing.CardDetails.html#retrieve/2","title":"Stripe.Issuing.CardDetails.retrieve/2","type":"function","doc":"Retrieve card details."},{"ref":"Stripe.Issuing.CardDetails.html#t:t/0","title":"Stripe.Issuing.CardDetails.t/0","type":"type","doc":""},{"ref":"Stripe.Issuing.Cardholder.html","title":"Stripe.Issuing.Cardholder","type":"module","doc":"Work with Stripe Issuing cardholder objects. You can: Create a cardholder Retrieve a cardholder Update a cardholder Stripe API reference: https://stripe.com/docs/api/issuing/cardholders"},{"ref":"Stripe.Issuing.Cardholder.html#create/2","title":"Stripe.Issuing.Cardholder.create/2","type":"function","doc":"Create a cardholder."},{"ref":"Stripe.Issuing.Cardholder.html#list/2","title":"Stripe.Issuing.Cardholder.list/2","type":"function","doc":"List all cardholders."},{"ref":"Stripe.Issuing.Cardholder.html#retrieve/2","title":"Stripe.Issuing.Cardholder.retrieve/2","type":"function","doc":"Retrieve a cardholder."},{"ref":"Stripe.Issuing.Cardholder.html#update/3","title":"Stripe.Issuing.Cardholder.update/3","type":"function","doc":"Update a cardholder."},{"ref":"Stripe.Issuing.Cardholder.html#t:t/0","title":"Stripe.Issuing.Cardholder.t/0","type":"type","doc":""},{"ref":"Stripe.Issuing.Dispute.html","title":"Stripe.Issuing.Dispute","type":"module","doc":"Work with Stripe Issuing dispute objects. You can: Create a dispute Retrieve a dispute Update a dispute List all disputes Stripe API reference: https://stripe.com/docs/api/issuing/disputes"},{"ref":"Stripe.Issuing.Dispute.html#create/2","title":"Stripe.Issuing.Dispute.create/2","type":"function","doc":"Create a dispute."},{"ref":"Stripe.Issuing.Dispute.html#list/2","title":"Stripe.Issuing.Dispute.list/2","type":"function","doc":"List all disputes."},{"ref":"Stripe.Issuing.Dispute.html#retrieve/2","title":"Stripe.Issuing.Dispute.retrieve/2","type":"function","doc":"Retrieve a dispute."},{"ref":"Stripe.Issuing.Dispute.html#update/3","title":"Stripe.Issuing.Dispute.update/3","type":"function","doc":"Update a dispute."},{"ref":"Stripe.Issuing.Dispute.html#t:evidence/0","title":"Stripe.Issuing.Dispute.evidence/0","type":"type","doc":""},{"ref":"Stripe.Issuing.Dispute.html#t:evidence_detail/0","title":"Stripe.Issuing.Dispute.evidence_detail/0","type":"type","doc":""},{"ref":"Stripe.Issuing.Dispute.html#t:t/0","title":"Stripe.Issuing.Dispute.t/0","type":"type","doc":""},{"ref":"Stripe.Issuing.Transaction.html","title":"Stripe.Issuing.Transaction","type":"module","doc":"Work with Stripe Issuing transaction objects. You can: Retrieve a transaction Update a transaction List all transactions Stripe API reference: https://stripe.com/docs/api/issuing/transactions"},{"ref":"Stripe.Issuing.Transaction.html#list/2","title":"Stripe.Issuing.Transaction.list/2","type":"function","doc":"List all transactions."},{"ref":"Stripe.Issuing.Transaction.html#retrieve/2","title":"Stripe.Issuing.Transaction.retrieve/2","type":"function","doc":"Retrieve a transaction."},{"ref":"Stripe.Issuing.Transaction.html#update/3","title":"Stripe.Issuing.Transaction.update/3","type":"function","doc":"Update a transaction."},{"ref":"Stripe.Issuing.Transaction.html#t:t/0","title":"Stripe.Issuing.Transaction.t/0","type":"type","doc":""},{"ref":"Stripe.Issuing.Types.html","title":"Stripe.Issuing.Types","type":"module","doc":"A module that contains shared issuing types matching Stripe schemas."},{"ref":"Stripe.Issuing.Types.html#t:authorization_controls/0","title":"Stripe.Issuing.Types.authorization_controls/0","type":"type","doc":""},{"ref":"Stripe.Issuing.Types.html#t:billing/0","title":"Stripe.Issuing.Types.billing/0","type":"type","doc":""},{"ref":"Stripe.Issuing.Types.html#t:merchant_data/0","title":"Stripe.Issuing.Types.merchant_data/0","type":"type","doc":""},{"ref":"Stripe.Issuing.Types.html#t:spending_limits/0","title":"Stripe.Issuing.Types.spending_limits/0","type":"type","doc":""},{"ref":"Stripe.Order.html","title":"Stripe.Order","type":"module","doc":"Work with Stripe orders. Stripe API reference: https://stripe.com/docs/api#orders"},{"ref":"Stripe.Order.html#create/2","title":"Stripe.Order.create/2","type":"function","doc":"Create a order."},{"ref":"Stripe.Order.html#list/2","title":"Stripe.Order.list/2","type":"function","doc":"List all orders."},{"ref":"Stripe.Order.html#pay/3","title":"Stripe.Order.pay/3","type":"function","doc":"Pay an order."},{"ref":"Stripe.Order.html#retrieve/2","title":"Stripe.Order.retrieve/2","type":"function","doc":"Retrieve a order."},{"ref":"Stripe.Order.html#return/3","title":"Stripe.Order.return/3","type":"function","doc":"return an order."},{"ref":"Stripe.Order.html#update/3","title":"Stripe.Order.update/3","type":"function","doc":"Update a order. Takes the id and a map of changes"},{"ref":"Stripe.Order.html#t:card_info/0","title":"Stripe.Order.card_info/0","type":"type","doc":""},{"ref":"Stripe.Order.html#t:t/0","title":"Stripe.Order.t/0","type":"type","doc":""},{"ref":"Stripe.OrderItem.html","title":"Stripe.OrderItem","type":"module","doc":"Work with Stripe order items. Stripe API reference: https://stripe.com/docs/api#order_items"},{"ref":"Stripe.OrderItem.html#t:t/0","title":"Stripe.OrderItem.t/0","type":"type","doc":""},{"ref":"Stripe.OrderReturn.html","title":"Stripe.OrderReturn","type":"module","doc":"Work with Stripe order returns. Stripe API reference: https://stripe.com/docs/api#order_return_object"},{"ref":"Stripe.OrderReturn.html#list/2","title":"Stripe.OrderReturn.list/2","type":"function","doc":"List all returns."},{"ref":"Stripe.OrderReturn.html#retrieve/2","title":"Stripe.OrderReturn.retrieve/2","type":"function","doc":"Retrieve a return."},{"ref":"Stripe.OrderReturn.html#t:t/0","title":"Stripe.OrderReturn.t/0","type":"type","doc":""},{"ref":"Stripe.Relay.Product.html","title":"Stripe.Relay.Product","type":"module","doc":"Work with Stripe products. Stripe API reference: https://stripe.com/docs/api#products"},{"ref":"Stripe.Relay.Product.html#create/2","title":"Stripe.Relay.Product.create/2","type":"function","doc":"Create a product."},{"ref":"Stripe.Relay.Product.html#delete/2","title":"Stripe.Relay.Product.delete/2","type":"function","doc":"Delete a product."},{"ref":"Stripe.Relay.Product.html#list/2","title":"Stripe.Relay.Product.list/2","type":"function","doc":"List all product."},{"ref":"Stripe.Relay.Product.html#retrieve/2","title":"Stripe.Relay.Product.retrieve/2","type":"function","doc":"Retrieve a product."},{"ref":"Stripe.Relay.Product.html#update/3","title":"Stripe.Relay.Product.update/3","type":"function","doc":"Update a product. Takes the id and a map of changes."},{"ref":"Stripe.Relay.Product.html#t:t/0","title":"Stripe.Relay.Product.t/0","type":"type","doc":""},{"ref":"Stripe.Sku.html","title":"Stripe.Sku","type":"module","doc":"Work with Stripe Sku objects. Stripe API reference: https://stripe.com/docs/api#sku_object"},{"ref":"Stripe.Sku.html#create/2","title":"Stripe.Sku.create/2","type":"function","doc":"Create a order."},{"ref":"Stripe.Sku.html#delete/2","title":"Stripe.Sku.delete/2","type":"function","doc":"delete an order."},{"ref":"Stripe.Sku.html#list/2","title":"Stripe.Sku.list/2","type":"function","doc":"List all skus."},{"ref":"Stripe.Sku.html#retrieve/2","title":"Stripe.Sku.retrieve/2","type":"function","doc":"Retrieve a order."},{"ref":"Stripe.Sku.html#update/3","title":"Stripe.Sku.update/3","type":"function","doc":"Update a order. Takes the id and a map of changes"},{"ref":"Stripe.Sku.html#t:t/0","title":"Stripe.Sku.t/0","type":"type","doc":""},{"ref":"Stripe.Config.html","title":"Stripe.Config","type":"module","doc":"Utility that handles interaction with the application&#39;s configuration"},{"ref":"Stripe.Config.html#resolve/2","title":"Stripe.Config.resolve/2","type":"function","doc":"Resolves the given key from the application&#39;s configuration returning the wrapped expanded value. If the value was a function it get&#39;s evaluated, if the value is a touple of three elements it gets applied."},{"ref":"Stripe.Converter.html","title":"Stripe.Converter","type":"module","doc":""},{"ref":"Stripe.Converter.html#convert_result/1","title":"Stripe.Converter.convert_result/1","type":"function","doc":"Takes a result map or list of maps from a Stripe response and returns a struct (e.g. %Stripe.Card{}) or list of structs. If the result is not a supported Stripe object, it just returns a plain map with atomized keys."},{"ref":"Stripe.Types.html","title":"Stripe.Types","type":"module","doc":"A module that contains shared types matching Stripe schemas."},{"ref":"Stripe.Types.html#t:address/0","title":"Stripe.Types.address/0","type":"type","doc":""},{"ref":"Stripe.Types.html#t:dob/0","title":"Stripe.Types.dob/0","type":"type","doc":""},{"ref":"Stripe.Types.html#t:fee/0","title":"Stripe.Types.fee/0","type":"type","doc":""},{"ref":"Stripe.Types.html#t:japan_address/0","title":"Stripe.Types.japan_address/0","type":"type","doc":""},{"ref":"Stripe.Types.html#t:metadata/0","title":"Stripe.Types.metadata/0","type":"type","doc":""},{"ref":"Stripe.Types.html#t:shipping/0","title":"Stripe.Types.shipping/0","type":"type","doc":""},{"ref":"Stripe.Types.html#t:subscription_billing_thresholds/0","title":"Stripe.Types.subscription_billing_thresholds/0","type":"type","doc":""},{"ref":"Stripe.Types.html#t:tax_info/0","title":"Stripe.Types.tax_info/0","type":"type","doc":""},{"ref":"Stripe.Types.html#t:tax_info_verification/0","title":"Stripe.Types.tax_info_verification/0","type":"type","doc":""},{"ref":"Stripe.Types.html#t:transfer_schedule/0","title":"Stripe.Types.transfer_schedule/0","type":"type","doc":""},{"ref":"readme.html","title":"Stripe for Elixir","type":"extras","doc":"Stripe for Elixir An Elixir library for working with Stripe."},{"ref":"readme.html#2-x-x-status","title":"Stripe for Elixir - 2.x.x status","type":"extras","doc":""},{"ref":"readme.html#1-x-x-status","title":"Stripe for Elixir - 1.x.x status","type":"extras","doc":"Which version should I use? The old 1.x.x line of releases has been kept and is being published separately for backwards compatibility, since 2.0 was a complete rewrite. To contribute to that line (bugfixes, mainly), create pull requests against the 1.x.x branch. The actively developed line of releases is 2.x.x and is contained within the master branch. New features are being added to this line of releases, so to develop this library further, create pull requests against the master branch. Below is a list of which Stripe API version recent releases of Stripity Stripe use. It only indicates the API version being called, not necessarily its compatibility. See the Stripe API Upgrades page for more details. :stripity_stripeStripe API Version 2.0.x2018-02-28 2.1.0 - 2.2.02018-05-21 2.2.22018-08-23 2.2.3 - 2.3.02018-11-08 2.4.02019-05-16 master2019-05-16 Documentation Latest HexDocs 1.x.x"},{"ref":"readme.html#installation","title":"Stripe for Elixir - Installation","type":"extras","doc":"Install the dependency by version: {:stripity_stripe, &quot;~&gt; 2.0.0&quot;} Or by commit reference (still awaiting hex publish rights so this is your best best for now): {:stripity_stripe, git: &quot;https://github.com/code-corps/stripity_stripe&quot;, ref: &quot;8c091d4278d29a917bacef7bb2f0606317fcc025&quot;} Next, add to your applications: Not necessary if using elixir &gt;= 1.4 defp application do [applications: [:stripity_stripe]] end"},{"ref":"readme.html#configuration","title":"Stripe for Elixir - Configuration","type":"extras","doc":"To make API calls, it is necessary to configure your Stripe secret key. use Mix.Config config :stripity_stripe, api_key: System.get_env(&quot;STRIPE_SECRET&quot;) # OR config :stripity_stripe, api_key: &quot;YOUR SECRET KEY&quot; It&#39;s possible to use a function or a tuple to resolve the secret: config :stripity_stripe, api_key: {MyApp.Secrets, :stripe_secret, []} # OR config :stripity_stripe, api_key: fn -&gt; System.get_env(&quot;STRIPE_SECRET&quot;) end Moreover, if you are using Poison instead of Jason, you can configure the library to use Poison like so: config :stripity_stripe, json_library: Poison Timeout To set timeouts, pass opts for the http client. The default one is Hackney. config :stripity_stripe, hackney_opts: [{:connect_timeout, 1000}, {:recv_timeout, 5000}])"},{"ref":"readme.html#note-object-expansion","title":"Stripe for Elixir - Note: Object Expansion","type":"extras","doc":"Some Stripe API endpoints support returning related objects via the object expansion query parameter. To take advantage of this feature, stripity_stripe accepts a list of strings to be passed into opts under the :expand key indicating which objects should be expanded. For example, calling Charge.retrieve(&quot;ch_123&quot;) would return a charge without expanding any objects. %Charge{ id: &quot;ch_123&quot;, balance_transaction: &quot;txn_123&quot;, ... } However if we now include an expansion on the balance_transaction field using Charge.retrieve(&quot;ch_123&quot;, expand: [&quot;balance_transaction&quot;]) We will get the full object back as well. %Charge{ id: &quot;ch_123&quot;, balance_transaction: %BalanceTransaction{ id: &quot;txn_123&quot;, fee: 125, ... }, ... } For details on which objects can be expanded check out the stripe object expansion docs. Testing To run the tests you&#39;ll need to install stripe-mock It is a mock HTTP server that responds like the real Stripe API. It&#39;s powered by the Stripe OpenAPI specification, which is generated from within Stripe&#39;s API. Start stripe-mock before running the tests with mix test. Documentation for 1.x.x Click to expand ## Stripe API Works with API version 2015-10-16 ## Installation Install the dependency: ```ex {:stripity_stripe, \"~> 1.6\"} ``` Next, add to your applications: ```ex defp application do [applications: [:stripity_stripe]] end ``` ## Configuration To make API calls, it is necessary to configure your Stripe secret key (and optional platform client id if you are using Stripe Connect): ```ex use Mix.Config config :stripity_stripe, secret_key: \"YOUR SECRET KEY\" config :stripity_stripe, platform_client_id: \"YOUR CONNECT PLATFORM CLIENT ID\" ``` ## Testing If you start contributing and you want to run mix test, first you need to export STRIPE_SECRET_KEY environment variable in the same shell as the one you will be running mix test in. All tests have the @tag disabled: false and the test runner is configured to ignore disabled: true. This helps to turn tests on/off when working in them. Most of the tests depends on the order of execution (test random seed = 0) to minimize runtime. I've tried having each tests isolated but this made it take ~10 times longer. ``` export STRIPE_SECRET_KEY=\"yourkey\" mix test ``` ## The API I've tried to make the API somewhat comprehensive and intuitive. If you'd like to see things in detail be sure to have a look at the tests - they show (generally) the way the API goes together. In general, if Stripe requires some information for a given API call, you'll find that as part of the arity of the given function. For instance if you want to delete a Customer, you'll find that you *must* pass the id along: ```ex {:ok, result} = Stripe.Customers.delete \"some_id\" ``` For optional arguments, you can send in a Keyword list that will get translated to parameters. So if you want to update a Subscription, for instance, you must send in the `customer_id` and `subscription_id` with the list of changes: ```ex # Change customer to the Premium subscription {:ok, result} = Stripe.Customers.change_subscription \"customer_id\", \"sub_id\", [plan: \"premium\"] ``` Metadata (metadata:) key is supported on most object type and allow the storage of extra information on the stripe platform. See [test](https://github.com/code-corps/stripity-stripe/blob/master/test/stripe/customer_test.exs) for an example. That's the rule of thumb with this library. If there are any errors with your call, they will bubble up to you in the `{:error, message}` match. ```ex # Example of paging through events {:ok, events} = Stripe.Events.list(key, \"\", 100) # second arg is a marker for paging case events[:has_more] do true -> # retrieve marker last = List.last( events[:data] ) case Stripe.Events.list key, last[\"id\"], 100 do {:ok, events} -> events[:data] # ... end false -> events[:data] end ``` # Connect Stripe Connect allows you to provide your customers with an easy onboarding to their own Stripe account. This is useful when you run an e-commerce as a service platform. Each merchant can transact using their own account using your platform. Then your platform uses Stripe's API with their own API key obtained in the onboarding process. First, you need to register your platform on Stripe Connect to obtain a `client_id`. In your account settings, there's a \"Connect\" tab, select it. Then fill the information to activate your connect platform settings. The select he `client_id` (notice there's one for dev and one for prod), stash this `client_id` in the config file under ```ex config :stripity_stripe, platform_client_id: \"ac_???\" ``` or in an env var named `STRIPE_PLATFORM_CLIENT_ID`. Then you send your users to sign up for the stripe account using a link. Here's an example of a button to start the workflow: Connect with Stripe You can generate this URL using: ```ex url = Stripe.Connect.generate_button_url csrf_token ``` When the user gets back to your platform, the following url (`redirect_uri` form item on your \"Connect\" settings) will be used: ``` //yoursvr/your_endpoint?scope=read_write&code=AUTHORIZATION_CODE ``` or ``` //yoursvr/your_endpoint?error=access_denied&error_description=The%20user%20denied%20your%20request ``` Using the code request parameter, you make the following call: ```ex {:ok, resp} -> Stripe.Connect.oauth_token_callback code resp[:access_token] ``` `resp` will look like this: ```ex %{ token_type: \"bearer\", stripe_publishable_key: PUBLISHABLE_KEY, scope: \"read_write\", livemode: false, stripe_user_id: USER_ID, refresh_token: REFRESH_TOKEN, access_token: ACCESS_TOKEN } ``` You can then pass the `access_token` to the other API modules to act on their behalf. See a [demo](https://github.com/nicrioux/stripity-connect-phoenix) using the Phoenix framework with the bare minimum to get this working. ## Testing Connect The tests are currently manual as they require a unique OAuth authorization code per test. You need to obtain this code manually using the stripe connect workflow (that your user would go through using the above url). First, log in your account. Then go to the following url: https://dashboard.stripe.com/account/applications/settings Create a connect standalone account. Grab your development `client_id`. Put it in your config file. Enter a redirect url to your endpoint. Capture the \"code\" request parameter. Pass it to `Stripe.Connect.oauth_token_callback` or `Stripe.Connect.get_token`. Contributing Feedback, feature requests, and fixes are welcomed and encouraged. Please make appropriate use of Issues and Pull Requests. All code should have accompanying tests. License Please see LICENSE for licensing details. History"},{"ref":"readme.html#statement-from-original-author","title":"Stripe for Elixir - Statement from original author","type":"extras","doc":"Why another Stripe Library? Currently there are a number of them in the Elixir world that are, well just not &quot;done&quot; yet. I started to fork/help but soon it became clear to me that what I wanted was an existing/better test story an API that didn&#39;t just mimic a REST interaction a library that was up to date with Elixir &gt; 1.0 and would, you know, actually compile. function calls that returned a standard {:ok, result} or {:error, message} response As I began digging things up with these other libraries it became rather apparent that I was not only tweaking the API, but also ripping out a lot of the existing code... and that usually means I should probably do my own thing. So I did."},{"ref":"readme.html#update","title":"Stripe for Elixir - Update","type":"extras","doc":"As of October 18th, Rob has graciously handed over the reins to the teams at Code Corps and Strumber. To address the concerns Rob mentioned above and update the high level api to work with all of the Stripe API Endpoints, they have since worked to release stripity_stripe 2.0, which is now the actively developed line of releases."}]